package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 宿舍管理审核对象 dms_approval_process
 *
 * @author srs
 * @date 2023-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsApprovalProcess对象" , description = "宿舍管理审核表")
@TableName("dms_approval_process")
public class DmsApprovalProcess extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     * 审核表id
     */
    @ApiModelProperty("审核表id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 申请表id
     */
    @ApiModelProperty("申请表id")
    @TableField("apply_id")
    @Excel(name = "申请表id")
    private Long applyId;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    private String fdyNo;

    /**
     * 辅导员审核状态
     */
    @ApiModelProperty("辅导员审核状态")
    @TableField("fdy_status")
    @Excel(name = "辅导员审核状态")
    private String fdyStatus;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_comment")
    @Excel(name = "辅导员意见")
    private String fdyComment;

    /**
     * 辅导员审核时间
     */
    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdyTime;

    /**
     * 学务审核人
     */
    @ApiModelProperty("学务审核人")
    @TableField("work_no")
    @Excel(name = "学务审核人")
    private String workNo;

    /**
     * 学务审核状态
     */
    @ApiModelProperty("学务审核状态")
    @TableField("work_status")
    @Excel(name = "学务审核状态")
    private String workStatus;

    /**
     * 学务审核意见
     */
    @ApiModelProperty("学务审核意见")
    @TableField("work_comment")
    @Excel(name = "学务审核意见")
    private String workComment;

    /**
     * 学务审核时间
     */
    @ApiModelProperty("学务审核时间")
    @TableField("work_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学务审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date workTime;

    /**
     * 学校审核人
     */
    @ApiModelProperty("学校审核人")
    @TableField("final_no")
    @Excel(name = "学校审核人")
    private String finalNo;

    /**
     * 学校审核状态
     */
    @ApiModelProperty("学校审核状态")
    @TableField("final_status")
    @Excel(name = "学校审核状态")
    private String finalStatus;

    /**
     * 学校审核意见
     */
    @ApiModelProperty("学校审核意见")
    @TableField("final_comment")
    @Excel(name = "学校审核意见")
    private String finalComment;

    /**
     * 学校审核时间
     */
    @ApiModelProperty("学校审核时间")
    @TableField("final_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学校审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date finalTime;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标记（0存在2删除）
     */
    @ApiModelProperty("删除标记（0存在2删除）")
    @TableField("del_flag")
    private String delFlag;


}
