package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 学生宿舍信息变化记录表
 * </p>
 *
 * @author szz
 * @since 2023年07月28日
 */
@Data
@TableName("dms_change_log")
@ApiModel(value = "DmsChangeLog对象", description = "学生宿舍信息变化记录表")
public class DmsChangeLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    private String stuNo;

    @ApiModelProperty("类型")
    @TableField("type")
    private String type;

    @ApiModelProperty("原宿舍ID")
    @TableField("current_dorm_id")
    private Long currentDormId;

    @ApiModelProperty("原床位ID")
    @TableField("current_bed_id")
    private Long currentBedId;

    @ApiModelProperty("新宿舍ID")
    @TableField("target_dorm_id")
    private Long targetDormId;

    @ApiModelProperty("新床位ID")
    @TableField("target_bed_id")
    private Long targetBedId;

    @ApiModelProperty("缴费金额")
    @TableField("money")
    private BigDecimal money;

    @ApiModelProperty("审核人")
    @TableField("approver")
    private String approver;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}
