package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 宿舍信息表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Data
@TableName("dms_dormitory")
@ApiModel(value = "DmsDormitory对象", description = "宿舍信息表")
public class DmsDormitory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("性别")
    @TableField("gender")
    public String gender;


    @Excel(name = "ID")
    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("楼层id")
    @TableField("floor_id")
    private Long floorId;

    @Excel(name = "房间号")
    @ApiModelProperty("房间号")
    @TableField("room_no")
    private Long roomNo;

    @Excel(name = "床位数")
    @ApiModelProperty("床位数")
    @TableField("bed_num")
    private Integer bedNum;

    @Excel(name = "收费标准")
    @ApiModelProperty("收费标准")
    @TableField("charge_standard")
    private BigDecimal chargeStandard;

    @Excel(name = "入住人数")
    @ApiModelProperty("入住人数")
    @TableField("occupancy")
    private Integer occupancy;

    @Excel(name = "状态")
    @ApiModelProperty("状态(0：未入住；1：已入住；2：维修中)")
    @TableField("status")
    private Integer status;

    @Excel(name = "备注")
    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;

    @ApiModelProperty("是否是新生（否 1是）")
    @TableField("is_new")
    private String isNew;

}




