package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 宿舍楼表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Data
@TableName("dms_dormitory_building")
@ApiModel(value = "DmsDormitoryBuilding对象", description = "宿舍楼表")
public class DmsDormitoryBuilding implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("宿舍楼ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("宿舍楼名称")
    @TableField("name")
    private String name;

    @ApiModelProperty("所属园区id")
    @TableField("park_id")
    private Long parkId;

    @ApiModelProperty("负责人")
    @TableField("manager")
    private String manager;

    @ApiModelProperty("负责人电话")
    @TableField("manager_phone")
    private String managerPhone;

    @ApiModelProperty("宿舍楼图片路径")
    @TableField("image")
    private String image;

    @ApiModelProperty("状态")
    @TableField("status")
    private Byte status;

    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}




