package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 查寝管理对象 dms_dormitory_check
 *
 * @author LSD
 * @date 2024-12-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsDormitoryCheck对象" , description = "查寝记录表")
@TableName("dms_dormitory_check")
public class DmsDormitoryCheck extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     * 唯一标识符
     */
    @ApiModelProperty("#")
    @TableId(value = "check_id", type = IdType.AUTO)
    private Long checkId;

    @TableField("dormitory_id")
    public Long dormitoryId;

    /**
     * 宿舍号
     */
    @ApiModelProperty("宿舍号")
    @TableField("dormitory_number")
    @Excel(name = "宿舍号")
    private String dormitoryNumber;

    /**
     * 查寝图片路径或URL
     */
    @ApiModelProperty("查寝图片路径或URL")
    @TableField("check_image")
    @Excel(name = "查寝图片路径或URL")
    private String checkImage;

    /**
     * 查寝结果说明
     */
    @ApiModelProperty("查寝结果说明")
    @TableField("check_result")
    @Excel(name = "查寝结果说明")
    private String checkResult;

    /**
     * 查寝日期和时间
     */
    @ApiModelProperty("查寝日期和时间")
    @TableField("check_date")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查寝日期和时间" , width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkDate;
}
