package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 优秀宿舍表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Data
@TableName("dms_dormitory_good")
@ApiModel(value = "DmsDormitoryGood对象", description = "优秀宿舍表")
public class DmsDormitoryGood implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    private Long dormitoryId;

    @ApiModelProperty("学年id")
    @TableField("year_id")
    private Long yearId;

    @ApiModelProperty("1一等奖，2二等奖，3三等奖")
    @TableField("rank")
    private Long rank;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("修改人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("状态 1 启用 2作废")
    @TableField("status")
    private Byte status;

    @ApiModelProperty("编号")
    @TableField("number")
    private String number;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("逻辑删除 0 存在 2删除")
    @TableField("del_flag")
    private String delFlag;


}




