package com.srs.dormitory.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 住宿详情对象 dms_live_detail
 *
 * @author srs
 * @date 2024-02-22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsLiveDetail对象" , description = "住宿详情")
@TableName("dms_live_detail")
public class DmsLiveDetail implements Serializable {
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 宿舍id
     */
    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    @Excel(name = "宿舍id")
    private Long dormitoryId;

    /**
     * 住宿时间
     */
    @ApiModelProperty("住宿时间")
    @TableField("duration")
    @Excel(name = "住宿时间")
    private BigDecimal duration;

    /**
     * 费用
     */
    @ApiModelProperty("费用")
    @TableField("money")
    @Excel(name = "费用")
    private BigDecimal money;

    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    @TableField("semester_id")
    @Excel(name = "学期id")
    private Long semesterId;


}
