package com.srs.dormitory.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 住宿记录对象 dms_new_record
 *
 * @author srs
 * @date 2024-03-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsNewRecord对象" , description = "住宿记录")
@TableName("dms_new_record")
public class DmsNewRecord extends BaseEntity{
private static final long serialVersionUID=1L;

    @TableField("is_head")
    public Integer isHead;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 房间id
     */
    @ApiModelProperty("房间id")
    @TableField("room_id")
    @Excel(name = "房间id")
    private Long roomId;

    /**
     * 开始日期
     */
    @ApiModelProperty("开始日期")
    @TableField("start_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty("结束日期")
    @TableField("end_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /**
     * 折合月数
     */
    @ApiModelProperty("折合月数")
    @TableField("in_month")
    @Excel(name = "折合月数")
    private BigDecimal inMonth;

    /**
     * 收费标准/10个月
金额（元）
     */
    @ApiModelProperty("收费标准/10个月金额（元）")
    @TableField("main_money")
    @Excel(name = "收费标准/10个月金额" , readConverterExp = "元=")
    private BigDecimal mainMoney;

    /**
     * 应收
费用
     */
    @ApiModelProperty("应收费用")
    @TableField("need_money")
    @Excel(name = "应收费用")
    private BigDecimal needMoney;

    /**
     * 农行卡号
     */
    @ApiModelProperty("农行卡号")
    @TableField("bank_card")
    @Excel(name = "农行卡号")
    private String bankCard;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 学生电话
     */
    @ApiModelProperty("学生电话")
    @TableField("stu_phone")
    @Excel(name = "学生电话")
    private String stuPhone;


    @ApiModelProperty("申请状态")
    @TableField("apply_status")
    @Excel(name = "申请状态")
    private String applyStatus;

    @ApiModelProperty("区间代码")
    @TableField("range_code")
    @Excel(name = "区间代码")
    private String rangeCode;

    @TableField(exist = false)
    public String stuYearName;

    @TableField(exist = false)
    public String stuName;


    @TableField(exist = false)
    public String roomNo;

    @TableField(exist = false)
    public String floorName;

    @TableField(exist = false)
    public String buildingName;

    @TableField(exist = false)
    public String parkName;

    @TableField(exist = false)
    public String campusName;


    @TableField(exist = false)
    public String rangeName;

    @TableField(exist = false)
    public String tNo;


    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rangeStart;


    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rangeEnd;


    @TableField(exist = false)
    public String searchRole;

        }
