package com.srs.dormitory.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.stureg.domain.SrsStuReg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.List;


/**
 * 新生宿舍对象 dms_new_reg
 *
 * @author srs
 * @date 2024-03-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsNewReg对象" , description = "新生宿舍")
@TableName("dms_new_reg")
public class DmsNewReg extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 宿舍id
     */
    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    @Excel(name = "宿舍id")
    private Long dormitoryId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    @TableField("ksh")
    @Excel(name = "考生号")
    private String ksh;

    /**
     * 新生状态
     */
    @ApiModelProperty("新生状态")
    @TableField("reg_status")
    @Excel(name = "新生状态")
    private String regStatus;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private Long status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


    @TableField(exist = false)
    public List<SrsStuReg> stuList;



        }
