package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 宿舍调整任务对象 dms_new_task
 *
 * @author srs
 * @date 2024-03-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsNewTask对象" , description = "宿舍调整任务")
@TableName("dms_new_task")
public class DmsNewTask extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 旧宿舍id
     */
    @ApiModelProperty("旧宿舍id")
    @TableField("old_dorm_id")
    @Excel(name = "旧宿舍id")
    private Long oldDormId;

    /**
     * 新宿舍id
     */
    @ApiModelProperty("新宿舍id")
    @TableField("new_dorm_id")
    @Excel(name = "新宿舍id")
    private Long newDormId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型")
    @TableField("task_type")
    @Excel(name = "任务类型")
    private String taskType;

    /**
     * 任务预执行日期
     */
    @ApiModelProperty("任务预执行日期")
    @TableField("task_want")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任务预执行日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date taskWant;

    /**
     * 任务执行时间
     */
    @ApiModelProperty("任务执行时间")
    @TableField("task_run")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "任务执行时间" , width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date taskRun;

    /**
     * 任务执行状态
     */
    @ApiModelProperty("任务执行状态")
    @TableField("task_status")
    @Excel(name = "任务执行状态")
    private String taskStatus;

    @TableField(exist = false)
    public String oldDorm;

    @TableField(exist = false)
    public String newDorm;


        }
