package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 文明宿舍对象 dms_new_wenming
 *
 * @author srs
 * @date 2024-03-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsNewWenming对象" , description = "文明宿舍")
@TableName("dms_new_wenming")
public class DmsNewWenming extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "序号")
    private Long id;

    /**
     * 宿舍id
     */
    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    //@Excel(name = "宿舍id")
    private Long dormitoryId;

    /**
     * 获奖时间
     */
    @ApiModelProperty("获奖时间")
    @TableField("make_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    //@Excel(name = "获奖时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date makeTime;

    /**
     * 获奖类型
     */
    @ApiModelProperty("获奖类型")
    @TableField("make_type")
   // @Excel(name = "获奖类型")
    private String makeType;

    /**
     * 学院
     * */
    @ApiModelProperty("学院")
    @TableField("dept_name")
    @Excel(name = "学院")
    private String deptName;

    /**
     * 班级
     * */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    private String className ;

    /**
     * 宿舍名
     * */
    @ApiModelProperty("宿舍名")
    @TableField("room_no")
    @Excel(name = "宿舍名")
    private String roomNo ;

    /**
     * 学期
     * */
    @ApiModelProperty("学期")
    @TableField("term_name")
    @Excel(name = "学期")
    private String termName ;

    /**
     * 学期
     * */
    @ApiModelProperty("排名")
    @TableField("ranking")
    @Excel(name = "排名")
    private String ranking ;



    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    //@Excel(name = "状态")
    private Long status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


        }
