package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 外宿申请表
 * </p>
 *
 * @author szz
 * @since 2023年08月03日
 */
@Data
@TableName("dms_offcampus_application")
@ApiModel(value = "DmsOffcampusApplication对象", description = "外宿申请表")
public class DmsOffcampusApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    private String stuNo;

    @ApiModelProperty("原宿舍ID")
    @TableField("current_dorm_id")
    private Long currentDormId;

    @ApiModelProperty("原床位ID")
    @TableField("current_bed_id")
    private Long currentBedId;

    @ApiModelProperty("申请理由")
    @TableField("reason")
    private String reason;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("审核状态 (0已提交 1 待审核 2审核完成)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}
