package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 照片链接表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-04
 */
@Data
@TableName("dms_photos")
@ApiModel(value = "DmsPhotos对象", description = "照片链接表")
public class DmsPhotos implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("照片ID，主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("宿舍ID")
    @TableField("dorm_id")
    private Long dormId;

    @ApiModelProperty("维修记录ID，外键，关联到维修记录表")
    @TableField("repair_record_id")
    private Long repairRecordId;


    @ApiModelProperty("照片链接")
    @TableField("url")
    private String url;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty("修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;


}




