package com.srs.dormitory.domain.Vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.srs.comprehensive.domain.SrsClass;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author zhy
 * @date 2024-03-12 17:24
 * @description
 */
@Data
public class DomInfo {

    @Excel(name = "校区")
    public String campusName;
    @Excel(name = "园区")
    public String parkName;
    @Excel(name = "楼栋")
    public String buildingName;
    @Excel(name = "房间号")
    public String roomNo;
    @Excel(name = "学号")
    public String stuNo;
    @Excel(name = "学生姓名")
    public String stuName;
    @Excel(name = "性别")
    public String gender;
    @Excel(name = "银行卡")
    public String bankCard;
    @Excel(name = "民族")
    public String mz;
    @Excel(name = "政治面貌")
    public String zzmm;
    @Excel(name = "身份证")
    public String idCard;
    @Excel(name = "学院")
    public String deptName;
    @Excel(name = "专业")
    public String majorName;
    @Excel(name = "班级")
    public String className;
    @Excel(name = "年级")
    public String gradeName;
    @Excel(name = "辅导员")
    public String teacherName;
    @Excel(name = "排名")
    public String ranking;



    public Long id;
    public Long dormitoryId;
    public Long floorId;
    public Long buildingId;
    public Long parkId;
    public Long campusId;
    public String XYDM;
    public int bedCount;

    public String floor;

    public String buildingGender;


    public List<ClassInfo> hasClass;

    public List<ClassInfo> hasTeachers;
    public String image;

    public String liveInDept;
    public String isNew;
    public int bedNum;
    public int occupancy;
    public BigDecimal chargeStandard;
    public String avatar;
    public int isDormitoryHead;

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date makeTime;

    public String recordTotalLog;

    public String teacherPhone;
    public String stuPhone;
    public String tNo;

    public String isMixed;//是否开放给新生选择

    public String classCode;


    public int boyIn;
    public int girlIn;
    public int all;
    public int allIn;

    public int taskNum;
    public int manageNum;

    public String oldDorm;
    public String newDorm;
    public String time;
    public String type;
    public String status;
    public String reason;
    public String totalRoom;
    public String vacantRoom;
    public String isLock;
    public  String termName;
    public String liveCount;

}
