package com.srs.dormitory.domain.Vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class RepairInfoVo {
    @ApiModelProperty("记录ID，主键")
    private Long id;

    @ApiModelProperty("维修人员姓名")
    private String techName;


    @ApiModelProperty("学号，外键，关联到学生表")
    private String stuNo;

    @ApiModelProperty("学生姓名")
    private String stuName;

    @ApiModelProperty("宿舍ID，外键，关联到宿舍表")
    @JsonIgnore
    private Long dormId;

    @ApiModelProperty("宿舍地址")
    private String roomNo;

    @ApiModelProperty("维修单号")
    private String repairNumber;

    @ApiModelProperty("期望上门维修时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expectedVisitTime;

    @ApiModelProperty("报修内容")
    private String content;

    @ApiModelProperty("维修内容描述")
    private String description;

    @ApiModelProperty("报修状态，0:等待管理员审核，1:等待上门维修，2:维修完成，3:等待评价，4:已评价，-1:取消维修，-2:维修师傅申请转单,-3:审核不通过,-4:申请取消订单")
    private String status;
    @ApiModelProperty("审核人")
    private String auditors;
    @ApiModelProperty("取消理由")
    private String reason;

    @ApiModelProperty("分配时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assignTime;

    @ApiModelProperty("维修时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime fixTime;

    @ApiModelProperty("满意度评分")
    private Integer satisfaction;

    @ApiModelProperty("评价")
    private String appraise;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    @ApiModelProperty("照片列表")
    List<PhotoVO> photos;

}
