package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsCheckoutApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 退宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年07月26日
 */
@Mapper
public interface DmsCheckoutApplicationMapper extends BaseMapper<DmsCheckoutApplication> {

    /**
     * 查看退宿申请列表
     * @param params 请求参数
     * @return
     */
    List<Map<String, Object>> getApplicationList(ApplicationListDto params);

    /**
     * 查询退宿申请表详情
     * @param id 申请表Id
     * @return
     */
    Map<String, Object> selectInfo(@Param("id") Long id);

    /**
     * 辅导员查看申请记录
     * @param status
     * @return
     */
    List<Map<String, Object>> getMyApply(@Param("status") String status);

    /**
     * 学务查看申请记录
     * @param status
     * @return
     */
    List<Map<String, Object>> workApply(@Param("status") String status);

    /**
     * 学校查看申请记录
     * @param status
     * @return
     */
    List<Map<String, Object>> finalApply(@Param("status") String status);
}
