package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDormitoryBed;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 宿舍床位表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Mapper
public interface DmsDormitoryBedMapper extends BaseMapper<DmsDormitoryBed> {

    /**
     * 根据宿舍ID查看床位
     * @param id 宿舍ID
     * @return
     */
    List<Map<String,Object>> getDmsDormitoryByDormitoryId(@Param("id") Long id);
}
