package com.srs.dormitory.mapper;

import java.util.List;
import java.util.Map;

import com.srs.dormitory.domain.DmsDormitoryCheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.DmsSearch;

/**
 * 查寝管理Mapper接口
 *
 * @author LSD
 * @date 2024-12-06
 */
public interface DmsDormitoryCheckMapper extends BaseMapper<DmsDormitoryCheck> {




    public List<Map<String,Object>> listDorm(DmsSearch param);


    /**
     * 查询查寝管理
     *
     * @param checkId 查寝管理主键
     * @return 查寝管理
     */
    public DmsDormitoryCheck selectDmsDormitoryCheckByCheckId(Long checkId);

    /**
     * 查询查寝管理列表
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 查寝管理集合
     */
    List<DmsDormitoryCheck> selectDmsDormitoryCheckList(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 新增查寝管理
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 结果
     */
    int insertDmsDormitoryCheck(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 修改查寝管理
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 结果
     */
    int updateDmsDormitoryCheck(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 删除查寝管理
     *
     * @param checkId 查寝管理主键
     * @return 结果
     */
    int deleteDmsDormitoryCheckByCheckId(Long checkId);

    /**
     * 批量删除查寝管理
     *
     * @param checkIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsDormitoryCheckByCheckIds(Long[] checkIds);
}
