package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDormitoryPark;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ParkDto;
import com.srs.dormitory.domain.Vo.ParkVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 园区表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface DmsDormitoryParkMapper extends BaseMapper<DmsDormitoryPark> {
    /**
     * 查看园区的入住人数
     * @param id
     * @return
     */
    Integer selectParkTotalOccupancy(@Param("id") Long id);

    /**
     * 查看园区列表
     * @param parkDto
     * @return
     */
    List<Map<String, Object>> getDormitoryParkList(ParkDto parkDto);
    List<ParkVo> getParkListByCampusId(@Param("campusId") Long campusId);
}
