package com.srs.dormitory.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.DmsDormitoryRecords;
import org.apache.ibatis.annotations.Mapper;

/**
 * 宿舍费用Mapper接口
 *
 * @author srs
 * @date 2023-10-20
 */
@Mapper
public interface DmsDormitoryRecordsMapper extends BaseMapper<DmsDormitoryRecords> {
    /**
     * 查询宿舍费用
     *
     * @param id 宿舍费用主键
     * @return 宿舍费用
     */
    public DmsDormitoryRecords selectDmsDormitoryRecordsById(Long id);

    /**
     * 查询宿舍费用列表
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 宿舍费用集合
     */
    List<DmsDormitoryRecords> selectDmsDormitoryRecordsList(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 新增宿舍费用
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 结果
     */
    int insertDmsDormitoryRecords(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 修改宿舍费用
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 结果
     */
    int updateDmsDormitoryRecords(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 删除宿舍费用
     *
     * @param id 宿舍费用主键
     * @return 结果
     */
    int deleteDmsDormitoryRecordsById(Long id);

    /**
     * 批量删除宿舍费用
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsDormitoryRecordsByIds(Long[] ids);
}
