package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsOffcampusApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * <p>
 * 外宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年08月03日
 */
@Mapper
public interface DmsOffcampusApplicationMapper extends BaseMapper<DmsOffcampusApplication> {

    /**
     * 查看外宿申请表详情
     * @param id
     * @return
     */
    Map<String, Object> getDmsOffcampusApplication(@Param("id") Long id);

    /**
     * 查看外宿申请表列表
     * @param applicationListDto 请求参数
     * @return
     */
    List<Map<String, Object>> getDmsOffcampusApplicationList(ApplicationListDto applicationListDto);
}
