package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsTransferApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import io.swagger.annotations.ApiParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 调宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年07月26日
 */
@Mapper
public interface DmsTransferApplicationMapper extends BaseMapper<DmsTransferApplication> {
    /**
     * 查看调宿申请表列表
     * @param dto
     * @return
     */
    List<Map<String,Object>> selectTransferApplicationList(ApplicationListDto dto);

    /**
     * 辅导员查看审核记录
     * @param status
     * @return
     */
    List<Map<String, Object>> getMyApply(@Param("status") String status);

    /**
     * 学务查看申请记录
     * @param status
     * @return
     */
    List<Map<String, Object>> workApply(@Param("status")String status);

    /**
     * 查看申请表详情
     * @param id 申请表id
     * @return
     */
    Map<String, Object> selectApplyInfo(@Param("id") Long id);

    List<Map<String, Object>> finalApply(@Param("status") String status);
}
