package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDelayApplication;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.AddDelayApplicationDto;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import com.srs.dormitory.domain.Dto.CheckoutApplicationDto;
import com.srs.dormitory.domain.Dto.UpdateTransferApplicationDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 延迟退宿申请表 服务类
 * </p>
 *
 * @author szz
 * @since 2023年08月01日
 */
public interface IDmsDelayApplicationService extends IService<DmsDelayApplication> {

    /**
     * 提交延迟退宿申请表
     * @param applicationDto 请求参数
     * @return
     */
    AjaxResult addDelayApplication(AddDelayApplicationDto applicationDto);
    /**
     * 查看延迟退宿申请表列表
     * @param params 请求参数
     * @return
     */
    List<Map<String,Object>> getDelayApplicationList(ApplicationListDto params);

    /**
     * 查看延迟退宿申请表详情
     * @param id 延迟退宿申请ID
     * @return
     */
    AjaxResult getDelayApplicationInfo(Long id);

    /**
     * 批量删除延迟退宿申请
     * @param ids 延迟退宿申请ID列表
     * @return
     */
    AjaxResult batchDeleteDelayApplication(List<Long> ids);
}
