package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryPark;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.ParkDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 园区表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface IDmsDormitoryParkService extends IService<DmsDormitoryPark> {

    /**
     * 添加园区
     * @param parkDto 请求参数
     * @param username 操作人
     * @return
     */
    AjaxResult addDmsDormitoryPark(ParkDto parkDto, String username);

    /**
     * 查看园区列表
     * @param parkDto 请求参数
     * @return
     */
    List<Map<String,Object>> getDmsDormitoryParkList(ParkDto parkDto);

    /**
     * 修改园区信息
     * @param parkDto 请求参数
     * @param username
     * @return
     */
    AjaxResult updateDmsDormitoryPark(ParkDto parkDto, String username);

    /**
     * 删除园区
     * @param ids 园区id列表
     * @return
     */
    AjaxResult deleteDmsDormitoryPark(List<Long> ids);

    /**
     * 查看园区详细信息
     * @param id
     * @return
     */
    AjaxResult getDmsDormitoryPark(Long id);
}
