package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryRecords;

/**
 * 宿舍费用Service接口
 *
 * @author srs
 * @date 2023-10-20
 */
public interface IDmsDormitoryRecordsService extends IService<DmsDormitoryRecords> {
    /**
     * 查询宿舍费用
     *
     * @param id 宿舍费用主键
     * @return 宿舍费用
     */
    public DmsDormitoryRecords selectDmsDormitoryRecordsById(Long id);

    /**
     * 查询宿舍费用列表
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 宿舍费用集合
     */
    List<DmsDormitoryRecords> selectDmsDormitoryRecordsList(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 新增宿舍费用
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 结果
     */
    int insertDmsDormitoryRecords(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 修改宿舍费用
     *
     * @param dmsDormitoryRecords 宿舍费用
     * @return 结果
     */
    int updateDmsDormitoryRecords(DmsDormitoryRecords dmsDormitoryRecords);

    /**
     * 批量删除宿舍费用
     *
     * @param ids 需要删除的宿舍费用主键集合
     * @return 结果
     */
    int deleteDmsDormitoryRecordsByIds(Long[] ids);

    /**
     * 删除宿舍费用信息
     *
     * @param id 宿舍费用主键
     * @return 结果
     */
    int deleteDmsDormitoryRecordsById(Long id);

    /**
     * 导入数据
     * @param dormitoryRecordsList
     * @return
     */
    AjaxResult importData(List<DmsDormitoryRecords> dormitoryRecordsList);
}
