package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.common.core.page.TableDataInfo;
import com.srs.dormitory.domain.DmsForeignApplication;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.AddForeignApplicationDto;
import com.srs.dormitory.domain.Dto.ForeignApplicationListDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 外来人员住宿申请表 服务类
 * </p>
 *
 * @author szz
 * @since 2023年08月04日
 */
public interface IDmsForeignApplicationService extends IService<DmsForeignApplication> {

    /**
     * 提交外来人员住宿申请表
     * @param applicationDto 请求参数
     * @return
     */
    AjaxResult addForeignApplication(AddForeignApplicationDto applicationDto);

    /**
     * 外来人员住宿申请表详情
     * @param id 请求参数
     * @return
     */
    AjaxResult getForeignApplicationInfo(Long id);

    /**
     * 查看外来人员住宿申请列表
     * @param dto 请求参数
     * @return
     */
    List<Map<String,Object>> getForeignApplicationList(ForeignApplicationListDto dto);

    /**
     * 批量删除外来人员住宿申请表
     * @param ids 外来人员住宿申请表Id列表
     * @return
     */
    AjaxResult batchDeleteForeignApplication(List<Long> ids);
}
