package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsTransferApplication;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.AddTransferApplicationDto;
import com.srs.dormitory.domain.Dto.ApplicationListDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 调宿申请表 服务类
 * </p>
 *
 * @author szz
 * @since 2023年07月26日
 */
public interface IDmsTransferApplicationService extends IService<DmsTransferApplication> {

    /**
     * 提交调宿申请表
     * @param applicationDto 请求参数
     * @return
     */
    AjaxResult addTransferApplication(AddTransferApplicationDto applicationDto);

    /**
     * 批量删除调宿申请表
     * @param ids 调宿申请表id列表
     * @return
     */
    AjaxResult batchDeleteTransferApplication(List<Long> ids);

    /**
     * 查看调宿申请列表
     * @param dto
     * @return
     */
    List<Map<String, Object>> getTransferApplicationList(ApplicationListDto dto);

    /**
     * 查看调宿申请表详情
     * @param id 调宿申请表ID
     * @return
     */
    AjaxResult getTransferApplicationInfo(Long id);

    /**
     * 取消申请
     * @param id 申请表id
     * @return
     */
    AjaxResult cancel(Long id);
}
