package com.srs.web.controller.diagnostic;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.*;
import org.springframework.security.access.prepost.PreAuthorize;
import com.srs.diagnostic.domain.DiaReportSubmissions;
import com.srs.diagnostic.service.IDiaReportSubmissionsService;
import com.srs.common.core.controller.BaseController;
import com.srs.common.core.page.TableDataInfo;

/**
 * 合格标准管理Controller
 *
 * @author srs
 * @date 2025-04-22
 */
@RestController
@RequestMapping("/diagnostic/submissions")
@Api(value = "学生报提交记录管理", tags = "学生报提交记录管理")
public class DiaReportSubmissionsController extends BaseController {
    @Autowired
    private IDiaReportSubmissionsService diaReportSubmissionsService;

    /**
     * 查询学生报提交记录列表
     */
    @GetMapping("/list")
    @ApiOperation("查询学生报提交记录列表")
    public TableDataInfo list(DiaReportSubmissions diaReportSubmissions) {
        List<DiaReportSubmissions> list = diaReportSubmissionsService.selectDiaReportSubmissionsList(diaReportSubmissions);
        return getDataTable(list);
    }

}
