package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;


/**
 * 班级干部管理对象 cph_carders
 *
 * @author srs
 * @date 2023-09-15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphCarders对象" , description = "班级干部表")
@TableName("cph_carders")
public class CphCarders {
private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 职务名称
     */
    @ApiModelProperty("职务名称")
    @TableField("carder_name")
    @Excel(name = "职务名称")
    private String carderName;
}
