package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;


/**
 * 评优审核对象 cph_good_audit
 *
 * @author srs
 * @date 2023-09-12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphGoodAudit对象" , description = "评优审核")
@TableName("cph_good_audit")
public class CphGoodAudit extends BaseEntity {
private static final long serialVersionUID=1L;

    /**
     * 评优审核表id
     */
    @ApiModelProperty("评优审核表id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 申请表id
     */
    @ApiModelProperty("申请表id")
    @TableField("apply_id")
    @Excel(name = "申请表id")
    private Long applyId;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    private String fdyNo;

    /**
     * 辅导员审核状态
     */
    @ApiModelProperty("辅导员审核状态")
    @TableField("fdy_status")
    @Excel(name = "辅导员审核状态")
    private String fdyStatus;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_comment")
    @Excel(name = "辅导员意见")
    private String fdyComment;

    /**
     * 辅导员审核时间
     */
    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdyTime;

    /**
     * 学院审核人
     */
    @ApiModelProperty("学院审核人")
    @TableField("dept_no")
    @Excel(name = "学院审核人")
    private String deptNo;

    /**
     * 学院审核状态
     */
    @ApiModelProperty("学院审核状态")
    @TableField("dept_status")
    @Excel(name = "学院审核状态")
    private String deptStatus;

    /**
     * 学院审核意见
     */
    @ApiModelProperty("学院审核意见")
    @TableField("dept_comment")
    @Excel(name = "学院审核意见")
    private String deptComment;

    /**
     * 学院审核时间
     */
    @ApiModelProperty("学院审核时间")
    @TableField("dept_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学院审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date deptTime;

    /**
     * 学工审核人
     */
    @ApiModelProperty("学工审核人")
    @TableField("final_no")
    @Excel(name = "学工审核人")
    private String finalNo;

    /**
     * 学工审核状态
     */
    @ApiModelProperty("学工审核状态")
    @TableField("final_status")
    @Excel(name = "学工审核状态")
    private String finalStatus;

    /**
     * 学工审核意见
     */
    @ApiModelProperty("学工审核意见")
    @TableField("final_comment")
    @Excel(name = "学工审核意见")
    private String finalComment;

    /**
     * 学工审核时间
     */
    @ApiModelProperty("学工审核时间")
    @TableField("final_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学工审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date finalTime;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标记（0存在2删除）
     */
    @ApiModelProperty("删除标记（0存在2删除）")
    @TableField("del_flag")
    private String delFlag;


        }
