package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 取消申请记录对象 cph_good_cancel_log
 *
 * @author srs
 * @date 2023-11-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphGoodCancelLog对象" , description = "取消申请记录")
@TableName("cph_good_cancel_log")
public class CphGoodCancelLog extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 类别代码
     */
    @ApiModelProperty("类别代码")
    @TableField("type_code")
    @Excel(name = "类别代码")
    private String typeCode;

    /**
     * 原因
     */
    @ApiModelProperty("原因")
    @TableField("reason")
    @Excel(name = "原因")
    private String reason;

    /**
     * ip
     */
    @ApiModelProperty("ip")
    @TableField("ip")
    @Excel(name = "ip")
    private String ip;


        }
