package com.srs.comprehensive.domain;

import com.alibaba.druid.sql.visitor.functions.Char;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;

/**
 * 思想品德初始分数对象 cph_iam
 *
 * @author zhy
 * @date 2023-07-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphIdeologyScore对象" , description = "思想品德初始分数表")
@TableName("cph_ideology_score")
public class CphIdeologyScore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 分数
     */
    @ApiModelProperty("分数")
    @TableField("score")
    @Excel(name = "分数")
    private BigDecimal score;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    @TableField("stu_year_id")
    @Excel(name = "学年")
    private Long stuYearId;

    /**
     * 分数说明
     */
    @ApiModelProperty("分数说明")
    @TableField("description")
    @Excel(name = "分数说明")
    private String description;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标记（0存在2删除）
     */
    @ApiModelProperty("删除标记（0存在2删除）")
    @TableField("del_flag")
    private String delFlag;



    /** 学生姓名 */
    @Excel(name = "学生姓名")
    @TableField(exist = false)
    private String name;

    /** 学年名称 */
    @Excel(name = "学年名称")
    @TableField(exist = false)
    private String stuYearName;

    /** 班级id */
    @Excel(name = "班级id")
    @TableField(exist = false)
    private Long classId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    @TableField(exist = false)
    private String className;

}
