package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.common.core.domain.TreeEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 静湖之星类别对象 cph_lake_type
 *
 * @author srs
 * @date 2023-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphLakeType对象" , description = "静湖之星类别")
@TableName("cph_lake_type")
public class CphLakeType extends TreeEntity {
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 类别名称
     */
    @ApiModelProperty("类别名称")
    @TableField("type_name")
    @Excel(name = "类别名称")
    private String typeName;

    /**
     * 类别代码
     */
    @ApiModelProperty("类别代码")
    @TableField("type_code")
    @Excel(name = "类别代码")
    private String typeCode;

    /**
     * 父级类别
     */
    @ApiModelProperty("父级类别")
    @TableField("parent_code")
    @Excel(name = "父级类别")
    private String parentCode;


        }
