package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 平均学分绩总排名对象 cph_pro_ranking
 *
 * @author srs
 * @date 2024-02-19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphProRanking对象" , description = "平均学分绩总排名")
@TableName("cph_pro_ranking")
public class CphProRanking {
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    @TableField("class_id")
    @Excel(name = "班级id")
    private Long classId;

    /**
     * 班级编号
     */
    @ApiModelProperty("班级编号")
    @TableField("class_code")
    @Excel(name = "班级编号")
    private String classCode;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 所选课程总学分
     */
    @ApiModelProperty("所选课程总学分")
    @TableField("course_credit")
    @Excel(name = "所选课程总学分")
    private BigDecimal courseCredit;

    /**
     * 所得总学分
     */
    @ApiModelProperty("所得总学分")
    @TableField("total_credit")
    @Excel(name = "所得总学分")
    private BigDecimal totalCredit;

    /**
     * 总成绩
     */
    @ApiModelProperty("总成绩")
    @TableField("total_score")
    @Excel(name = "总成绩")
    private BigDecimal totalScore;

    /**
     * 课程数
     */
    @ApiModelProperty("课程数")
    @TableField("course_num")
    @Excel(name = "课程数")
    private Long courseNum;

    /**
     * 平均分
     */
    @ApiModelProperty("平均分")
    @TableField("avg_score")
    @Excel(name = "平均分")
    private BigDecimal avgScore;

    /**
     * 平均学分绩点
     */
    @ApiModelProperty("平均学分绩")
    @TableField("avg_credit")
    @Excel(name = "平均学分绩")
    private BigDecimal avgCredit;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    @TableField("ranking")
    @Excel(name = "排名")
    private Long ranking;

    /**
     * 不及格门数
     */
    @ApiModelProperty("不及格门数")
    @TableField("nopass")
    @Excel(name = "不及格门数")
    private Long nopass;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private Long status;

    @TableField("update_by")
    @Excel(name = "最后更新人")
    public String updateBy;

    @Excel(name = "创建人")
    @TableField("create_by")
    public long createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("create_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField("update_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;


        }
