package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生课程成绩对象 cph_science_score
 *
 * @author srs
 * @date 2024-03-14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphScienceScore对象" , description = "学生课程成绩")
@TableName("cph_science_score")
public class CphScienceScore{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 学期代码
     */
    @ApiModelProperty("学期代码")
    @TableField("stu_year_dm")
    @Excel(name = "学期代码")
    private String stuYearDm;

    /**
     * 学年代码
     */
    @ApiModelProperty("学年代码")
    @TableField("stu_year_nr")
    @Excel(name = "学年代码")
    private String stuYearNr;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    @TableField("stu_year")
    @Excel(name = "学年")
    private String stuYear;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 课程代码
     */
    @ApiModelProperty("课程代码")
    @TableField("course_no")
    @Excel(name = "课程代码")
    private String courseNo;

    /**
     * 课程学分
     */
    @ApiModelProperty("课程学分")
    @TableField("course_credit")
    @Excel(name = "课程学分")
    private BigDecimal courseCredit;

    /**
     * 课程积点
     */
    @ApiModelProperty("课程积点")
    @TableField("course_piont")
    @Excel(name = "课程积点")
    private BigDecimal coursePiont;

    /**
     * 成绩
     */
    @ApiModelProperty("成绩")
    @TableField("course_score")
    @Excel(name = "成绩")
    private String courseScore;

    /**
     * 是否通过
     */
    @ApiModelProperty("是否通过")
    @TableField("is_pass")
    @Excel(name = "是否通过")
    private Long isPass;


        }
