package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.common.annotation.NotNull;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生其他信息对象 cph_stu_extra_info
 *
 * @author srs
 * @date 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphStuExtraInfo对象" , description = "学生其他信息表")
@TableName("cph_stu_extra_info")
public class CphStuExtraInfo extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    @NotNull("民族")
    private String mz;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    @NotNull("政治面貌")
    private String zzmm;

    /**
     * 籍贯
     */
    @ApiModelProperty("籍贯")
    @TableField("jg")
    @Excel(name = "籍贯")
    private String jg;

    /**
     * 血型
     */
    @ApiModelProperty("血型")
    @TableField("xx")
    @Excel(name = "血型")
    private String xx;

    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    @TableField("ksh")
    @Excel(name = "考生号")

    private String ksh;

    /**
     * 户口所在省
     */
    @ApiModelProperty("户口所在省")
    @TableField("hksz1")
    @Excel(name = "户口所在省")
    @NotNull("户口所在省")
    private String hksz1;

    /**
     * 户口所在市/区
     */
    @ApiModelProperty("户口所在市/区")
    @TableField("hksz2")
    @Excel(name = "户口所在市/区")
    @NotNull("户口所在市/区")
    private String hksz2;

    /**
     * 户口所在区/县
     */
    @ApiModelProperty("户口所在区/县")
    @TableField("hksz3")
    @Excel(name = "户口所在区/县")
    @NotNull("户口所在区/县")
    private String hksz3;

    /**
     * 户口所在地
     */
    @ApiModelProperty("户口所在地")
    @TableField("hkszd")
    @Excel(name = "户口所在地")
    @NotNull("户口所在地")
    private String hkszd;

    /**
     * 户口性质
     */
    @ApiModelProperty("户口性质")
    @TableField("hkxz")
    @Excel(name = "户口性质")
    @NotNull("户口性质")
    private String hkxz;

    /**
     * 户口所在地区县以下详细地址
     */
    @ApiModelProperty("户口所在地区县以下详细地址")
    @TableField("hkxxdz")
    @Excel(name = "户口所在地区县以下详细地址")
    private String hkxxdz;

    /**
     * 学生居住地址
     */
    @ApiModelProperty("学生居住地址")
    @TableField("xsjzdz")
    @Excel(name = "学生居住地址")
    private String xsjzdz;

    /**
     * 所属派出所
     */
    @ApiModelProperty("所属派出所")
    @TableField("sspcs")
    @Excel(name = "所属派出所")
    private String sspcs;

    /**
     * 所属街道
     */
    @ApiModelProperty("所属街道")
    @TableField("ssjd")
    @Excel(name = "所属街道")
    private String ssjd;

    /**
     * 乘火车区间
     */
    @ApiModelProperty("乘火车区间")
    @TableField("chcqj")
    @Excel(name = "乘火车区间")
    private String chcqj;

    /**
     * 详细联系地址
     */
    @ApiModelProperty("详细联系地址")
    @TableField("xxlxdz")
    @Excel(name = "详细联系地址")
    @NotNull("详细联系地址")
    private String xxlxdz;

    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    @TableField("yzbm")
    @Excel(name = "邮政编码")
//    @NotNull("邮政编码")
    private String yzbm;

    /**
     * 现家庭地址
     */
    @ApiModelProperty("现家庭地址")
    @TableField("xjtdz")
    @Excel(name = "现家庭地址")
    private String xjtdz;

    /**
     * 家庭邮政编码
     */
    @ApiModelProperty("家庭邮政编码")
    @TableField("jtyzbm")
    @Excel(name = "家庭邮政编码")
    @NotNull("邮政编码")
    private String jtyzbm;

    /**
     * 家庭电话
     */
    @ApiModelProperty("家庭电话")
    @TableField("jtdh")
    @Excel(name = "家庭电话")
    private String jtdh;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("daily_photo")
    @Excel(name = "照片")
    private String dailyPhoto;

    /**
     * 白底照片
     */
    @ApiModelProperty("白底照片")
    @TableField("white_photo")
    @Excel(name = "白底照片")
    @NotNull("白底照片")
    private String whitePhoto;

    /**
     * 红底照片
     */
    @ApiModelProperty("红底照片")
    @TableField("red_photo")
    @Excel(name = "红底照片")
    private String redPhoto;

    /**
     * 蓝底照片
     */
    @ApiModelProperty("蓝底照片")
    @TableField("blue_photo")
    @Excel(name = "蓝底照片")
    private String bluePhoto;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


        }
