package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
/**
 * 毕业生信息
 * 邵政文
 * 2025-07-01
 */
public class GraduateStudentNews extends BaseEntity {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 学生学号
     */
    private String studentCode;

    /**
     * 学生所属学院
     */
    private String studentCollege;

    /**
     * 学生所属年级
     */
    private String studentGrade;

    /**
     * 学生所属班级
     */
    private String studentClass;

    /**
     * 性别（女，男）
     */
    private String sex;

    /**
     * 民族
     */
    private String nation;

    /**
     * 出生日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date birthData;

    /**
     * 政治思想
     */
    private String politics;

    /**
     * 道德品质
     */
    private String moralCharacter;

    /**
     * 遵纪守法
     */
    private String observeDiscipline;

    /**
     * 学习态度
     */
    private String attitude;

    /**
     * 考勤情况
     */
    private String attendanceSituation;

    /**
     * 担任职务
     */
    private String positionHeld;

    /**
     * 工作态度
     */
    private String workingAttitude;

    /**
     * 工作能力
     */
    private String workingAbility;

    /**
     * 思想政治素质
     */
    private String ldeologicalPolitical;

    /**
     * 科学文化素质
     */
    private String scientificQuality;

    /**
     * 体能素质
     */
    private String physicalQuality;

    /**
     * 总分
     */
    private Double totalPoints;

    /**
     * 辅导员评语
     */
    private String counselorComments;

    /**
     * 辅导员姓名
     */
    private String counselorName;

    /**
     * 填写日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date fillData;

    /**
     * 学院意见
     */
    private String collegeOpinion;

    /**
     * 学年
     */
    private Integer stuYear;

    /**
     * 关联id
     */
    private Integer graduateId;

    /**
     * 班级id
     */
    private Integer classId;

    /**
     * 标记学号
     */
    private Integer biaoJit;

}
