package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 中职升高职补助对象 knzz_zsg_apply
 *
 * @author srs
 * @date 2025-05-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "KnzzZsgApply对象" , description = "中职升高职补助")
@TableName("knzz_zsg_apply")
public class KnzzZsgApply extends BaseEntity{
public static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;


    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("stu_name")
    @Excel(name = "姓名")
    public String stuName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    public String gender;

    /**
     * 出生年月
     */
    @ApiModelProperty("出生年月")
    @TableField("birth_month")
    @Excel(name = "出生年月")
    public String birthMonth;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    public String mz;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    public String zzmm;

    /**
     * 入学时间
     */
    @ApiModelProperty("入学时间")
    @TableField("in_time")
    @Excel(name = "入学时间")
    public String inTime;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField("idCard")
    @Excel(name = "身份证号")
    public String idCard;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("stu_phone")
    @Excel(name = "联系电话")
    public String stuPhone;

    /**
     * 银行卡号
     */
    @ApiModelProperty("银行卡号")
    @TableField("bank_card")
    @Excel(name = "银行卡号")
    public String bankCard;

    /**
     * 开户行
     */
    @ApiModelProperty("开户行")
    @TableField("bank_addr")
    @Excel(name = "开户行")
    public String bankAddr;

    /**
     * 中职学校
     */
    @ApiModelProperty("中职学校")
    @TableField("zzxx")
    @Excel(name = "中职学校")
    public String zzxx;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("dept_name")
    @Excel(name = "学院")
    public String deptName;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("major_name")
    @Excel(name = "专业")
    public String majorName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    public String className;

    /**
     * 家庭户口
     */
    @ApiModelProperty("家庭户口")
    @TableField("jthk")
    @Excel(name = "家庭户口")
    public String jthk;

    /**
     * 家庭人口总数
     */
    @ApiModelProperty("家庭人口总数")
    @TableField("family_num")
    @Excel(name = "家庭人口总数")
    public String familyNum;

    /**
     * 家庭月收入
     */
    @ApiModelProperty("家庭月收入")
    @TableField("month_money")
    @Excel(name = "家庭月收入")
    public String monthMoney;

    /**
     * 人均月收入
     */
    @ApiModelProperty("人均月收入")
    @TableField("per_money")
    @Excel(name = "人均月收入")
    public String perMoney;

    /**
     * 收入来源
     */
    @ApiModelProperty("收入来源")
    @TableField("money_src")
    @Excel(name = "收入来源")
    public String moneySrc;

    /**
     * 家庭住址
     */
    @ApiModelProperty("家庭住址")
    @TableField("home_addr")
    @Excel(name = "家庭住址")
    public String homeAddr;

    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    @TableField("post_code")
    @Excel(name = "邮政编码")
    public String postCode;

    /**
     * 家庭成员情况
     */
    @ApiModelProperty("家庭成员情况")
    @TableField("family_member_list")
    @Excel(name = "家庭成员情况")
    public String familyMemberList;

    /**
     * 原因编号
     */
    @ApiModelProperty("原因编号")
    @TableField("apply_reason_num")
    @Excel(name = "原因编号")
    public String applyReasonNum;

    /**
     * 申请理由
     */
    @ApiModelProperty("申请理由")
    @TableField("apply_reason")
    @Excel(name = "申请理由")
    public String applyReason;

    /**
     * 未消除风险；已消除风险；
     */
    @ApiModelProperty("未消除风险；已消除风险；")
    @TableField("apply_reason1")
    @Excel(name = "未消除风险；已消除风险；")
    public String applyReason1;

    /**
     * 补充理由
     */
    @ApiModelProperty("补充理由")
    @TableField("apply_extra_reason")
    @Excel(name = "补充理由")
    public String applyExtraReason;

    /**
     * 申请人签名
     */
    @ApiModelProperty("申请人签名")
    @TableField("apply_sign")
    @Excel(name = "申请人签名")
    public String applySign;

    /**
     * 申请日期
     */
    @ApiModelProperty("申请日期")
    @TableField("apply_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date applyDate;

    /**
     * 班级意见
     */
    @ApiModelProperty("班级意见")
    @TableField("fdy_cmt")
    @Excel(name = "班级意见")
    public String fdyCmt;

    /**
     * 辅导员签章
     */
    @ApiModelProperty("辅导员签章")
    @TableField("fdy_sign")
    @Excel(name = "辅导员签章")
    public String fdySign;

    /**
     * 评议小组组长
     */
    @ApiModelProperty("评议小组组长")
    @TableField("fdy_zz")
    @Excel(name = "评议小组组长")
    public String fdyZz;

    /**
     * 辅导员审核日期
     */
    @ApiModelProperty("辅导员审核日期")
    @TableField("fdy_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date fdyDate;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    public String fdyNo;

    /**
     * 学院意见
     */
    @ApiModelProperty("学院意见")
    @TableField("xw_cmt")
    @Excel(name = "学院意见")
    public String xwCmt;

    /**
     * 学院签名
     */
    @ApiModelProperty("学院签名")
    @TableField("xw_sign")
    @Excel(name = "学院签名")
    public String xwSign;

    /**
     * 学院审核日期
     */
    @ApiModelProperty("学院审核日期")
    @TableField("xw_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学院审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date xwDate;

    /**
     * 学院工号
     */
    @ApiModelProperty("学院工号")
    @TableField("xw_no")
    @Excel(name = "学院工号")
    public String xwNo;

    /**
     * 学校审核意见
     */
    @ApiModelProperty("学校审核意见")
    @TableField("xg_cmt")
    @Excel(name = "学校审核意见")
    public String xgCmt;

    /**
     * 学工签名
     */
    @ApiModelProperty("学工签名")
    @TableField("xg_sign")
    @Excel(name = "学工签名")
    public String xgSign;

    /**
     * 学工审核日期
     */
    @ApiModelProperty("学工审核日期")
    @TableField("xg_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学工审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date xgDate;

    /**
     * 学工工号
     */
    @ApiModelProperty("学工工号")
    @TableField("xg_no")
    @Excel(name = "学工工号")
    public String xgNo;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("apply_status")
    @Excel(name = "审核状态")
    public String applyStatus;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("apply_file")
    @Excel(name = "${comment}" , readConverterExp = "$column.readConverterExp()")
    public String applyFile;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    public Long stuYearId;

    /**
     * 中职校毕业证证
     */
    @ApiModelProperty("中职校毕业证证")
    @TableField("diploma_certificate")
    @Excel(name = "中职校毕业证证")
    private String diplomaCertificate;

    @TableField(exist = false)
    public String stuYearName;


    @TableField(exist = false)
    public String fdyName;

    @TableField(exist = false)
    public String xwName;

    @TableField(exist = false)
    public String xgName;

    @TableField(exist = false)
    public Long deptId;

}
