package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 问卷调查对象 t_questionnaire
 *
 * @author srs
 * @date 2024-05-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "Questionnaire对象" , description = "问卷调查")
@TableName("t_questionnaire")
public class Questionnaire extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    @TableField("title")
    @Excel(name = "标题")
    private String title;

    /**
     * 题目
     */
    @ApiModelProperty("题目")
    @TableField("questions")
    @Excel(name = "题目")
    private String questions;

    /**
     * 创建人Id
     */
    @ApiModelProperty("创建人Id")
    @TableField("create_id")
    @Excel(name = "创建人Id")
    private Long createId;

    /**
     * 更新人id
     */
    @ApiModelProperty("更新人id")
    @TableField("update_id")
    @Excel(name = "更新人id")
    private Long updateId;

    /**
     * 问卷状态  0：关闭，1：开启
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

}
