package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.context.annotation.Primary;
import org.springframework.context.annotation.Profile;

import java.math.BigDecimal;


/**
 * 【请填写功能名称】对象 t_answer
 *
 * @author srs
 * @date 2024-05-20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "TAnswer对象" , description = "")
public class QuestionnaireResult{
private static final long serialVersionUID=1L;

    /**
     * 问卷标题
     */
    @ApiModelProperty("问卷标题")
    @Excel(name = "问卷标题")
    private String title;


    /**
     * 问卷题目（json格式）
     */
    @ApiModelProperty("目标对象id")
    private String targetId;

    /**
     * 问卷题目（json格式）
     */
    @ApiModelProperty("被评人姓名")
    @Excel(name = "被评人姓名" )
    private String targetName;

    /**
     * 问卷题目（json格式）
     */
    @ApiModelProperty("工号")
    @Excel(name = "工号" )
    private String employeeId;

    /**
     * 问卷题目（json格式）
     */
    @ApiModelProperty("部门")
    @Excel(name = "部门" )
    private String deptName;
    /**
     *  问卷id
     */
    @ApiModelProperty("问卷Id")
    private Long questionnaireId;

    @ApiModelProperty("问卷题目")
    private String questions;

    @ApiModelProperty("所带学生数量")
    @Excel(name = "所带学生数量")
    private Integer studentNum;

    @ApiModelProperty("学生填写数量")
    @Excel(name = "学生填写数量")
    private Integer studentFillNum;

    @ApiModelProperty("学生平均得分")
    @Excel(name = "学生平均得分")
    private Double xsAvgScore;

    @ApiModelProperty("学生评分比例")
    @Excel(name = "学生评分比例")
    private String xsRatio;

    private Long deptId;//部门
    private String stuNo;//学号


    //    @ApiModelProperty("学工处平均得分")
//    @Excel(name = "学工处平均得分")
//    private Double jwcAvgScore;
//    @ApiModelProperty("二级学院领导平均得分")
//    @Excel(name = "二级学院领导平均得分")
//    private Double ejxyldAvgScore;
//    @ApiModelProperty("辅导员平均得分")
//    @Excel(name = "辅导员平均得分")
//    private Double fdyAvgScore;
//    @ApiModelProperty("最终得分")
//    @Excel(name = "最终得分")
//    private Double finalScore;

}
