package com.srs.comprehensive.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 家庭成员
 * 对象 srs_femily_menber
 *
 * @author srs
 * @date 2024-04-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsFemilyMenber对象", description = "家庭成员表")
@TableName("srs_femily_menber")
public class SrsFemilyMenber extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("kinsfolk_id")
    private Long kinsfolkId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("kinsfolk_name")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String kinsfolkName;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("kinsfolk_identify")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long kinsfolkIdentify;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("nation")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String nation;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("kinsfolk_relation")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String kinsfolkRelation;
    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("phone")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String phone;
    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("post_code")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String postCode;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("sex")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sex;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @TableField("born_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bornDate;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("politics_status")
    @Excel(name = "政治面貌")
    private String politicsStatus;

    /**
     * 工作单位
     */
    @ApiModelProperty("工作单位")
    @TableField("work_unit")
    @Excel(name = "工作单位")
    private String workUnit;

    /**
     * 职务
     */
    @ApiModelProperty("职务")
    @TableField("duty")
    @Excel(name = "职务")
    private String duty;

    /**
     * 亲属关系
     */
    @ApiModelProperty("亲属关系")
    @TableField("kinsfolk_relate")
    @Excel(name = "亲属关系")
    private String kinsfolkRelate;

    /**
     * 婚姻状况
     */
    @ApiModelProperty("婚姻状况")
    @TableField("civil_state")
    @Excel(name = "婚姻状况")
    private String civilState;

    /**
     * 健康状况
     */
    @ApiModelProperty("健康状况")
    @TableField("health condition")
    @Excel(name = "健康状况")
    private String healthCondition;

    /**
     * 单位地址
     */
    @ApiModelProperty("单位地址")
    @TableField("unit address")
    @Excel(name = "单位地址")
    private String unitAddress;

    /**
     * 状态（0正常
     */
    @ApiModelProperty("状态（0正常")
    @TableField("status")
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("student_id")
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String studentId;


}
