package com.srs.comprehensive.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 助学金审核时间对象 srs_zxj_time
 *
 * @author srs
 * @date 2024-06-05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsZxjTime对象", description = "助学金审核时间")
@TableName("srs_zxj_time")
public class SrsZxjTime {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(exist = false)
    @Excel(name = "学院")
    public String deptName;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    @TableField(exist = false)
    @Excel(name = "姓名")
    public String stuName;

    /**
     * 学生个人申请时间
     */
    @ApiModelProperty("学生个人申请时间")
    @TableField("stu_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学生个人申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stuTime;

    /**
     * 辅导员审核时间
     */
    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdyTime;

    /**
     * 系书记审核时间
     */
    @ApiModelProperty("系书记审核时间")
    @TableField("xsj_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "系书记审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xsjTime;

    /**
     * 学院审核时间
     */
    @ApiModelProperty("学院审核时间")
    @TableField("dept_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学院审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deptTime;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    private Long stuYearId;

    @TableField(exist = false)
    @Excel(name = "学年")
    public String stuYearName;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("term")
    @Excel(name = "学期")
    private String term;


}
