package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生信息视图对象 view_stu_info
 *
 * @author srs
 * @date 2024-04-07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "ViewStuInfo对象" , description = "学生信息视图")
@TableName("view_stu_info")
public class ViewStuInfo{
private static final long serialVersionUID=1L;

    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    @TableField("stu_id")
    @Excel(name = "学生id")
    private Long stuId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("stu_name")
    @Excel(name = "姓名")
    private String stuName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    private String gender;

    /**
     * 身份证号码
     */
    @ApiModelProperty("身份证号码")
    @TableField("id_card")
    @Excel(name = "身份证号码")
    private String idCard;

    /**
     * 生日
     */
    @ApiModelProperty("生日")
    @TableField("birthday")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 银行卡
     */
    @ApiModelProperty("银行卡")
    @TableField("bank_card")
    @Excel(name = "银行卡")
    private String bankCard;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    @TableField("stu_phone")
    @Excel(name = "手机号码")
    private String stuPhone;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    @TableField("class_id")
    @Excel(name = "班级id")
    private Long classId;

    /**
     * 班级编号
     */
    @ApiModelProperty("班级编号")
    @TableField("class_code")
    @Excel(name = "班级编号")
    private String classCode;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    @TableField("class_name")
    @Excel(name = "班级名称")
    private String className;

    /**
     * 专业ID
     */
    @ApiModelProperty("专业ID")
    @TableField("major_id")
    @Excel(name = "专业ID")
    private Long majorId;

    /**
     * 专业代码
     */
    @ApiModelProperty("专业代码")
    @TableField("major_code")
    @Excel(name = "专业代码")
    private String majorCode;

    /**
     * 专业名称
     */
    @ApiModelProperty("专业名称")
    @TableField("major_name")
    @Excel(name = "专业名称")
    private String majorName;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    @TableField("dept_id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门代码
     */
    @ApiModelProperty("部门代码")
    @TableField("dept_code")
    @Excel(name = "部门代码")
    private String deptCode;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    @TableField("dept_name")
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    @TableField("t_no")
    @Excel(name = "工号")
    private String tNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("teacher_name")
    @Excel(name = "姓名")
    private String teacherName;

    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    @TableField("grade_id")
    @Excel(name = "年级id")
    private Long gradeId;

    /**
     * 年级代码
     */
    @ApiModelProperty("年级代码")
    @TableField("grade_code")
    @Excel(name = "年级代码")
    private String gradeCode;

    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    @TableField("grade_name")
    @Excel(name = "年级名称")
    private String gradeName;

    @TableField("status")
    public String status;


    @TableField(exist = false)
    public String editStatus;


}
