package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphFamilyMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 家庭成员Mapper接口
 *
 * @author srs
 * @date 2024-04-08
 */
public interface CphFamilyMemberMapper extends BaseMapper<CphFamilyMember> {
    /**
     * 查询家庭成员
     *
     * @param id 家庭成员主键
     * @return 家庭成员
     */
    public CphFamilyMember selectCphFamilyMemberById(Long id);

    /**
     * 查询家庭成员列表
     *
     * @param cphFamilyMember 家庭成员
     * @return 家庭成员集合
     */
    List<CphFamilyMember> selectCphFamilyMemberList(CphFamilyMember cphFamilyMember);

    /**
     * 新增家庭成员
     *
     * @param cphFamilyMember 家庭成员
     * @return 结果
     */
    int insertCphFamilyMember(CphFamilyMember cphFamilyMember);

    /**
     * 修改家庭成员
     *
     * @param cphFamilyMember 家庭成员
     * @return 结果
     */
    int updateCphFamilyMember(CphFamilyMember cphFamilyMember);

    /**
     * 删除家庭成员
     *
     * @param id 家庭成员主键
     * @return 结果
     */
    int deleteCphFamilyMemberById(Long id);

    /**
     * 批量删除家庭成员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphFamilyMemberByIds(Long[] ids);
}
