package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.CphFile;

/**
 * 综合素质系统文档Mapper接口
 * 
 * @author srs
 * @date 2023-07-03
 */
public interface CphFileMapper 
{
    /**
     * 查询综合素质系统文档
     * 
     * @param fileName 综合素质系统文档主键
     * @return 综合素质系统文档
     */
    public CphFile selectCphFileByFileName(String fileName);

    /**
     * 查询综合素质系统文档列表
     * 
     * @param cphFile 综合素质系统文档
     * @return 综合素质系统文档集合
     */
    public List<CphFile> selectCphFileList(CphFile cphFile);

    /**
     * 新增综合素质系统文档
     * 
     * @param cphFile 综合素质系统文档
     * @return 结果
     */
    public int insertCphFile(CphFile cphFile);

    /**
     * 修改综合素质系统文档
     * 
     * @param cphFile 综合素质系统文档
     * @return 结果
     */
    public int updateCphFile(CphFile cphFile);

    /**
     * 删除综合素质系统文档
     * 
     * @param fileName 综合素质系统文档主键
     * @return 结果
     */
    public int deleteCphFileByFileName(String fileName);

    /**
     * 批量删除综合素质系统文档
     * 
     * @param fileNames 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCphFileByFileNames(String[] fileNames);
}
