package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphIdeologyScore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 思想品德初始分数Mapper接口
 *
 * @author srs
 * @date 2024-07-01
 */
@Mapper
public interface CphIdeologyScoreMapper extends BaseMapper<CphIdeologyScore> {
    /**
     * 查询思想品德初始分数
     *
     * @param id 思想品德初始分数主键
     * @return 思想品德初始分数
     */
    public CphIdeologyScore selectCphIdeologyScoreById(Long id);

    /**
     * 查询思想品德初始分数列表
     *
     * @param cphIdeologyScore 思想品德初始分数
     * @return 思想品德初始分数集合
     */
    List<CphIdeologyScore> selectCphIdeologyScoreList(CphIdeologyScore cphIdeologyScore);

    /**
     * 新增思想品德初始分数
     *
     * @param cphIdeologyScore 思想品德初始分数
     * @return 结果
     */
    int insertCphIdeologyScore(CphIdeologyScore cphIdeologyScore);

    /**
     * 修改思想品德初始分数
     *
     * @param cphIdeologyScore 思想品德初始分数
     * @return 结果
     */
    int updateCphIdeologyScore(CphIdeologyScore cphIdeologyScore);

    /**
     * 删除思想品德初始分数
     *
     * @param id 思想品德初始分数主键
     * @return 结果
     */
    int deleteCphIdeologyScoreById(Long id);

    /**
     * 批量删除思想品德初始分数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphIdeologyScoreByIds(Long[] ids);
}
