package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphProRankingAll;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 总学分绩排名Mapper接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface CphProRankingAllMapper extends BaseMapper<CphProRankingAll> {
    /**
     * 查询总学分绩排名
     *
     * @param id 总学分绩排名主键
     * @return 总学分绩排名
     */
    public CphProRankingAll selectCphProRankingAllById(Long id);

    /**
     * 查询总学分绩排名列表
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 总学分绩排名集合
     */
    List<CphProRankingAll> selectCphProRankingAllList(CphProRankingAll cphProRankingAll);

    /**
     * 新增总学分绩排名
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 结果
     */
    int insertCphProRankingAll(CphProRankingAll cphProRankingAll);

    /**
     * 修改总学分绩排名
     *
     * @param cphProRankingAll 总学分绩排名
     * @return 结果
     */
    int updateCphProRankingAll(CphProRankingAll cphProRankingAll);

    /**
     * 删除总学分绩排名
     *
     * @param id 总学分绩排名主键
     * @return 结果
     */
    int deleteCphProRankingAllById(Long id);

    /**
     * 批量删除总学分绩排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphProRankingAllByIds(Long[] ids);
}
