package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.SrsGraduateStudent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.SrsIdentifytable;

/**
 * 学生评语信息Mapper接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface SrsGraduateStudentMapper extends BaseMapper<SrsGraduateStudent> {
    /**
     * 查询学生评语信息
     *
     * @param id 学生评语信息主键
     * @return 学生评语信息
     */
    public SrsGraduateStudent selectSrsGraduateStudentById(Long id);

    /**
     * 查询学生评语信息列表
     *
     * @param srsGraduateStudent 学生评语信息导出
     * @return 学生评语信息集合
     */
    List<SrsGraduateStudent> selectSrsGraduateStudentList(SrsGraduateStudent srsGraduateStudent);

    /**
     * 查询学生评语信息列表
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 学生评语信息集合
     */
    List<SrsIdentifytable> selectSrsGraduateStudentLists(SrsGraduateStudent srsGraduateStudent);

    /**
     * 新增学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int inserts(SrsGraduateStudent srsGraduateStudent);

    /**
     * 新增学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息1
     * @return 结果
     */
    int insertSrsGraduateStudentYearOne(SrsGraduateStudent srsGraduateStudent);

    /**
     * 新增学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息2
     * @return 结果
     */
    int insertSrsGraduateStudentYearTwo(SrsGraduateStudent srsGraduateStudent);

    /**
     * 新增学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息3
     * @return 结果
     */
    int insertSrsGraduateStudentYearThree(SrsGraduateStudent srsGraduateStudent);

    /**
     * 修改学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int updateSrsGraduateStudentYearOne(SrsGraduateStudent srsGraduateStudent);

    /**
     * 修改学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int updateSrsGraduateStudentYearTwo(SrsGraduateStudent srsGraduateStudent);

    /**
     * 修改学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int updateSrsGraduateStudentYearThree(SrsGraduateStudent srsGraduateStudent);

    /**
     * 删除学生评语信息
     *
     * @param id 学生评语信息主键
     * @return 结果
     */
    int deleteSrsGraduateStudentById(Long id);

    /**
     * 批量删除学生评语信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsGraduateStudentByIds(Long[] ids);
}
