package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.GraduateStudentNews;
import com.srs.comprehensive.domain.SaveStudent;

import java.util.List;

/**
 * 毕业生信息管理service
 * 邵政文
 * @date 2025-07-01
 **/
public interface GraduateTextService {

    /**
     * 查询对应学生信息
     * @param name 学生信息实体
     * 邵政文
     * 2025-07-01
     */
    GraduateStudentNews getStudentByName(String name);

    /**
     * 查询毕业生列表信息
     * @param student 学生信息实体
     * 邵政文
     * 2025-07-01
     */
    List<GraduateStudentNews> getGraduateList(GraduateStudentNews student);

    /**
     * 查询班级信息
     * @return
     * @author moTakeText
     * 邵政文
     * @date 2025-07-02
     **/
    String selectGraduateClassData(Integer classId);

    /**
     * 根据id查询毕业生信息
     * @return
     * @author id
     * 邵政文
     * @date 2025-07-02
     **/
    SaveStudent selectGraduateExclById(Long id);

    /**
     * 批量添加毕业生信息
     * @param graduateStudent 毕业生信息列表
     * 邵政文
     * 2025-07-02
     */
    int addGraduateList(List<GraduateStudentNews> graduateStudent);

    /**
     * 根据ids批量查询毕业生信息
     * @return 毕业生信息列表
     * @author ids
     * 邵政文
     * @date 2025-07-02
     **/
    List<SaveStudent> graduateByIdsList(Long[] ids);

}
