package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphCardersStudent;

/**
 * 学生干部关联Service接口
 *
 * @author srs
 * @date 2023-09-15
 */
public interface ICphCardersStudentService extends IService<CphCardersStudent> {
    /**
     * 查询学生干部关联
     *
     * @param id 学生干部关联主键
     * @return 学生干部关联
     */
    public CphCardersStudent selectCphCardersStudentById(Long id);

    /**
     * 查询学生干部关联列表
     *
     * @param cphCardersStudent 学生干部关联
     * @return 学生干部关联集合
     */
    List<CphCardersStudent> selectCphCardersStudentList(CphCardersStudent cphCardersStudent);

    /**
     * 新增学生干部关联
     *
     * @param cphCardersStudent 学生干部关联
     * @return 结果
     */
    int insertCphCardersStudent(CphCardersStudent cphCardersStudent);

    /**
     * 修改学生干部关联
     *
     * @param cphCardersStudent 学生干部关联
     * @return 结果
     */
    int updateCphCardersStudent(CphCardersStudent cphCardersStudent);

    /**
     * 批量删除学生干部关联
     *
     * @param ids 需要删除的学生干部关联主键集合
     * @return 结果
     */
    int deleteCphCardersStudentByIds(Long[] ids);

    /**
     * 删除学生干部关联信息
     *
     * @param id 学生干部关联主键
     * @return 结果
     */
    int deleteCphCardersStudentById(Long id);
}
