package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphClassGood;
import com.srs.comprehensive.domain.Vo.CphClassGoodStuYear;

/**
 * 优秀班级Service接口
 *
 * @author srs
 * @date 2023-07-04
 */
public interface ICphClassGoodService extends IService<CphClassGood>
{
    /**
     * 查询优秀班级
     *
     * @param id 优秀班级主键
     * @return 优秀班级
     */
    public CphClassGood selectCphClassGoodById(Long id);

    /**
     * 查询优秀班级列表
     *
     * @param cphClassGood 优秀班级
     * @return 优秀班级集合
     */
    public List<CphClassGoodStuYear> selectCphClassGoodList(CphClassGood cphClassGood);

    /**
     * 新增优秀班级
     *
     * @param cphClassGood 优秀班级
     * @return 结果
     */
    public int insertCphClassGood(CphClassGood cphClassGood);

    /**
     * 修改优秀班级
     *
     * @param cphClassGood 优秀班级
     * @return 结果
     */
    public int updateCphClassGood(CphClassGood cphClassGood);

    /**
     * 批量删除优秀班级
     *
     * @param ids 需要删除的优秀班级主键集合
     * @return 结果
     */
    public int deleteCphClassGoodByIds(Long[] ids);

    /**
     * 删除优秀班级信息
     *
     * @param id 优秀班级主键
     * @return 结果
     */
    public int deleteCphClassGoodById(Long id);
}
