package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.CphStuEvaTaskList;

import java.util.List;

/**
 * 综合素质评定任务记录Service接口
 * 
 * @author srs
 * @date 2023-08-19
 */
public interface ICphStuEvaTaskListService 
{
    /**
     * 查询综合素质评定任务记录
     * 
     * @param id 综合素质评定任务记录主键
     * @return 综合素质评定任务记录
     */
    public CphStuEvaTaskList selectCphStuEvaTaskListById(Long id);

    /**
     * 查询综合素质评定任务记录列表
     * 
     * @param cphStuEvaTaskList 综合素质评定任务记录
     * @return 综合素质评定任务记录集合
     */
    public List<CphStuEvaTaskList> selectCphStuEvaTaskListList(CphStuEvaTaskList cphStuEvaTaskList);

    /**
     * 新增综合素质评定任务记录
     * 
     * @param cphStuEvaTaskList 综合素质评定任务记录
     * @return 结果
     */
    public int insertCphStuEvaTaskList(CphStuEvaTaskList cphStuEvaTaskList);

    /**
     * 修改综合素质评定任务记录
     * 
     * @param cphStuEvaTaskList 综合素质评定任务记录
     * @return 结果
     */
    public int updateCphStuEvaTaskList(CphStuEvaTaskList cphStuEvaTaskList);

    /**
     * 批量删除综合素质评定任务记录
     * 
     * @param ids 需要删除的综合素质评定任务记录主键集合
     * @return 结果
     */
    public int deleteCphStuEvaTaskListByIds(Long[] ids);

    /**
     * 删除综合素质评定任务记录信息
     * 
     * @param id 综合素质评定任务记录主键
     * @return 结果
     */
    public int deleteCphStuEvaTaskListById(Long id);
}
