package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.SrsGraduateStudent;
import com.srs.comprehensive.domain.SrsIdentifytable;

/**
 * 学生评语信息Service接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface ISrsGraduateStudentService extends IService<SrsGraduateStudent> {
    /**
     * 查询学生评语信息
     *
     * @param id 学生评语信息主键
     * @return 学生评语信息
     */
    public SrsGraduateStudent selectSrsGraduateStudentById(Long id);

    /**
     * 查询学生评语信息列表
     *
     * @param srsGraduateStudent 学生评语信息导出
     * @return 学生评语信息集合
     */
    List<SrsGraduateStudent> selectSrsGraduateStudentList(SrsGraduateStudent srsGraduateStudent);

    /**
     * 查询学生评语信息列表
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 学生评语信息集合
     */
    List<SrsIdentifytable> selectSrsGraduateStudentLists(SrsGraduateStudent srsGraduateStudent);

    /**
     * 新增学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int insertSrsGraduateStudent(SrsGraduateStudent srsGraduateStudent);

    /**
     * 修改学生评语信息
     *
     * @param srsGraduateStudent 学生评语信息
     * @return 结果
     */
    int updateSrsGraduateStudent(SrsGraduateStudent srsGraduateStudent);

    /**
     * 批量删除学生评语信息
     *
     * @param ids 需要删除的学生评语信息主键集合
     * @return 结果
     */
    int deleteSrsGraduateStudentByIds(Long[] ids);

    /**
     * 删除学生评语信息信息
     *
     * @param id 学生评语信息主键
     * @return 结果
     */
    int deleteSrsGraduateStudentById(Long id);
}
