package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.SrsIdentifytable;

/**
 * 学生鉴定信息Service接口
 *
 * @author srs
 * @date 2025-07-10
 */
public interface ISrsIdentifytableService extends IService<SrsIdentifytable> {
    /**
     * 查询学生鉴定信息
     *
     * @param id 学生鉴定信息主键
     * @return 学生鉴定信息
     */
    public SrsIdentifytable selectSrsIdentifytableById(Long id);

    /**
     * 查询学生鉴定信息列表
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 学生鉴定信息集合
     */
    List<SrsIdentifytable> selectSrsIdentifytableList(SrsIdentifytable srsIdentifytable);

    /**
     * 新增学生鉴定信息
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int insertSrsIdentifytable(SrsIdentifytable srsIdentifytable);

    /**
     * 修改学生鉴定信息
     *
     * @param srsIdentifytable 学生鉴定信息
     * @return 结果
     */
    int updateSrsIdentifytable(SrsIdentifytable srsIdentifytable);

    /**
     * 批量删除学生鉴定信息
     *
     * @param ids 需要删除的学生鉴定信息主键集合
     * @return 结果
     */
    int deleteSrsIdentifytableByIds(Long[] ids);

    /**
     * 删除学生鉴定信息信息
     *
     * @param id 学生鉴定信息主键
     * @return 结果
     */
    int deleteSrsIdentifytableById(Long id);
}
