package com.srs.diagnostic.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 合格标准对象 dia_eligibility
 *
 * @author srs
 * @date 2025-03-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaEligibility对象" , description = "合格标准表")
@TableName("dia_eligibility")
public class DiaEligibility extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 序号
     */
    @ApiModelProperty("序号")
    @TableField("eliId")
    private Long eliId;

    /**
     * 报表
     */
    @ApiModelProperty("报表")
    @TableField("relId")
    @Excel(name = "报表")
    private Long relId;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableId(value = "stu_year_name", type = IdType.AUTO)
    private String stuYearName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 报表名
     */
    @ApiModelProperty("报表名")
    @TableField("name")
    @Excel(name = "报表名")
    private  String name;

}
