package com.srs.diagnostic.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 诊断报告指标项对象 dia_report_items
 *
 * @author srs
 * @date 2025-06-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReportItems对象" , description = "诊断报告指标项")
@TableName("dia_report_items")
public class DiaReportItems extends BaseEntity {
    private static final long serialVersionUID=1L;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @TableField("itemId")
    private Long itemId;

    /**
     * 关联的报表ID
     */
    @ApiModelProperty("关联的报表ID")
    @TableField("reportId")
    @Excel(name = "关联的报表ID")
    private Integer reportId;

    /**
     * 维度名称
     */
    @ApiModelProperty("维度名称")
    @TableField("dimension")
    @Excel(name = "维度名称")
    private String dimension;

    /**
     * 质控点名称
     */
    @ApiModelProperty("质控点名称")
    @TableField("control_point")
    @Excel(name = "质控点名称")
    private String controlPoint;

    /**
     * 指标名称
     */
    @ApiModelProperty("指标名称")
    @TableField("indicator_name")
    @Excel(name = "指标名称")
    private String indicatorName;


    @TableField(exist = false)
    public String xgStandard;

    @TableField(exist = false)
    public String xwStandard;

    @TableField(exist = false)
    public String stuStandard;

    @TableField(exist = false)
    public int completed;

    @TableField(exist = false)
    public String reason;

    @TableField(exist = false)
    public String improvementMeasures;

    @TableField(exist = false)
    public Long stuCount;

    @TableField(exist = false)
    public Long finishCount;



}

