package com.srs.diagnostic.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 报表发布对象 dia_report_release
 *
 * @author srs
 * @date 2025-04-23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReportRelease对象" , description = "报表发布")
@TableName("dia_report_release")
public class DiaReportRelease{
    private static final long serialVersionUID=1L;

    /**
     * 报表发布id
     */
    @ApiModelProperty("报表发布id")
    @TableId(value="relId", type= IdType.AUTO)
    private Long relId;

    /**
     * 模板Id
     */
    @ApiModelProperty("模板Id")
    @TableField("reportId")
    private Long reportId;

    /**
     * 模块名称
     */
    @ApiModelProperty("模块名称")
    @TableField("moduleName")
    @Excel(name = "模块名称")
    private String moduleName;

    /**
     * 报表名称
     */
    @ApiModelProperty("报表名称")
    @TableField("reportName")
    @Excel(name = "报表名称")
    private String reportName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("term_id")
    @Excel(name = "学期")
    private int termId;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("stu_year_name")
    @Excel(name = "学年")
    private String stuYearName;

    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
