package com.srs.diagnostic.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生完成情况对象 dia_report_student_completion
 *
 * @author LSD
 * @date 2025-06-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReportStudentCompletion对象" , description = "诊断报表填写")
@TableName("dia_report_student_completion")
public class DiaReportStudentCompletion extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 完成情况ID
     */
    @ApiModelProperty("完成情况ID")
    @TableId(value="completionId", type = IdType.AUTO)
    private Long completionId;

    /**
     * 关联的发布记录ID
     */
    @ApiModelProperty("关联的发布记录ID")
    @TableField("relId")
    @Excel(name = "关联的发布记录ID")
    private Long relId;

    /**
     * 关联的指标ID
     */
    @ApiModelProperty("关联的指标ID")
    @TableField("itemId")
    @Excel(name = "关联的指标ID")
    private Long itemId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 是否完成（0:未完成，1:已完成）
     */
    @ApiModelProperty("是否完成（0:未完成，1:已完成）")
    @TableField("completed")
    @Excel(name = "是否完成" , readConverterExp = "0=:未完成，1:已完成")
    private Integer completed;

    /**
     * 未完成原因
     */
    @ApiModelProperty("未完成原因")
    @TableField("reason")
    @Excel(name = "未完成原因")
    private String reason;

    /**
     * 改进措施
     */
    @ApiModelProperty("改进措施")
    @TableField("improvement_measures")
    @Excel(name = "改进措施")
    private String improvementMeasures;


}
