package com.srs.diagnostic.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 学生报提交记录对象 dia_report_submissions
 *
 * @author srs
 * @date 2025-04-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReportSubmissions对象", description = "学生报表提交记录表")
@TableName("dia_report_submissions")
public class DiaReportSubmissions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 报表发布id
     */
    @ApiModelProperty("报表发布id")
    @TableField("relId")
    private Long relId;

    /**
     * 模板Id
     */
    @ApiModelProperty("模板Id")
    @TableField("reportId")
    private Long reportId;

    /**
     * 模块名称
     */
    @ApiModelProperty("模块名称")
    @TableField("moduleName")
    @Excel(name = "模块名称")
    private String moduleName;

    /**
     * 报表名称
     */
    @ApiModelProperty("报表名称")
    @TableField("reportName")
    @Excel(name = "报表名称")
    private String reportName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("term_id")
    @Excel(name = "学期")
    private int term_id;

    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableField("stuYearName")
    @Excel(name = "学年")
    private String stuYearName;

    //填写状态
    @ApiModelProperty("填写状态")
    @TableField(exist = false)
    private String fillingStatus;
}
