package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaFillOutReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.diagnostic.domain.DiaReportDetails;

public interface DiaFillOutReportMapper extends BaseMapper<DiaFillOutReport> {
    /**
     * 查询诊断报告列表
     *
     * @param diaFillOutReport 诊断报告
     * @return 诊断报告集合
     */
    List<DiaFillOutReport> selectDiaFillOutReportList(DiaFillOutReport diaFillOutReport);

    /**
     * 查询学生填写详情
     *
     * @param
     * @return 诊断报告集合
     */
    List<DiaFillOutReport> selectDiaFillOutReportListUser(String userid);

    /**
     * 批量新增诊断报告
     *
     * @param diaFillOutReport 批量新增诊断报告
     * @return 结果
     */
    int insertDiaFillOutReport(DiaFillOutReport diaFillOutReport);

    //批量修改
    int updateDiaFillOutReportList(List<DiaFillOutReport> list);

    /**
     * 批量插入输入值
     *
     * @param list 批量新增诊断报告
     * @return 结果
     */
    int insertDiaFillOutReportList(List<DiaFillOutReport> list);
}
