package com.srs.diagnostic.mapper;

import java.util.List;

import com.github.yulichang.base.MPJBaseMapper;
import com.srs.diagnostic.domain.DiaReportStudentCompletion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生完成情况Mapper接口
 *
 * @author LSD
 * @date 2025-06-19
 */
public interface DiaReportStudentCompletionMapper extends MPJBaseMapper<DiaReportStudentCompletion> {
    /**
     * 查询学生完成情况
     *
     * @param completionId 学生完成情况主键
     * @return 学生完成情况
     */
    public DiaReportStudentCompletion selectDiaReportStudentCompletionByCompletionId(Long completionId);

    /**
     * 查询学生完成情况列表
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 学生完成情况集合
     */
    List<DiaReportStudentCompletion> selectDiaReportStudentCompletionList(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 新增学生完成情况
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 结果
     */
    int insertDiaReportStudentCompletion(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 修改学生完成情况
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 结果
     */
    int updateDiaReportStudentCompletion(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 删除学生完成情况
     *
     * @param completionId 学生完成情况主键
     * @return 结果
     */
    int deleteDiaReportStudentCompletionByCompletionId(Long completionId);

    /**
     * 批量删除学生完成情况
     *
     * @param completionIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDiaReportStudentCompletionByCompletionIds(Long[] completionIds);
}
