package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaReportItems;
import com.srs.diagnostic.domain.DiaReportRelease;

/**
 * 诊断报告指标项Service接口
 *
 * @author srs
 * @date 2025-06-20
 */
public interface IDiaReportItemsService extends IService<DiaReportItems> {
    /**
     * 查询诊断报告指标项
     *
     * @param itemId 诊断报告指标项主键
     * @return 诊断报告指标项
     */
    public DiaReportItems selectDiaReportItemsByItemId(Long itemId);

    /**
     * 查询诊断报告指标项列表
     *
     * @param diaReportItems 诊断报告指标项
     * @return 诊断报告指标项集合
     */
    List<DiaReportItems> selectDiaReportItemsList(DiaReportItems diaReportItems);

    /**
     * 新增诊断报告指标项
     *
     * @param diaReportItems 诊断报告指标项
     * @return 结果
     */
    int insertDiaReportItems(DiaReportItems diaReportItems);

    /**
     * 修改诊断报告指标项
     *
     * @param diaReportItems 诊断报告指标项
     * @return 结果
     */
    int updateDiaReportItems(DiaReportItems diaReportItems);

    /**
     * 批量删除诊断报告指标项
     *
     * @param itemIds 需要删除的诊断报告指标项主键集合
     * @return 结果
     */
    int deleteDiaReportItemsByItemIds(Long[] itemIds);

    /**
     * 删除诊断报告指标项信息
     *
     * @param itemId 诊断报告指标项主键
     * @return 结果
     */
    int deleteDiaReportItemsByItemId(Long itemId);
    /**
     * 将报告数据转换为指标项数据
     */
    void convertReportsToItems(int reportId);

}
