package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.diagnostic.domain.DiaReportItems;
import com.srs.diagnostic.domain.DiaReportStudentCompletion;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 学生完成情况Service接口
 *
 * @author LSD
 * @date 2025-06-19
 */
public interface IDiaReportStudentCompletionService extends IService<DiaReportStudentCompletion> {

    public AjaxResult stuEdit( List<DiaReportStudentCompletion> param);

    public List<DiaReportItems> getStuItemByReportId(Long deptId, Long relId , Long reportId);

    public List<DiaReportItems> getStuItemByStuNo(String stuNo, Long deptId, Long relId , Long reportId);

    /**
     * 查询学生完成情况
     *
     * @param completionId 学生完成情况主键
     * @return 学生完成情况
     */
    public DiaReportStudentCompletion selectDiaReportStudentCompletionByCompletionId(Long completionId);

    /**
     * 查询学生完成情况列表
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 学生完成情况集合
     */
    List<DiaReportStudentCompletion> selectDiaReportStudentCompletionList(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 新增学生完成情况
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 结果
     */
    int insertDiaReportStudentCompletion(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 修改学生完成情况
     *
     * @param diaReportStudentCompletion 学生完成情况
     * @return 结果
     */
    int updateDiaReportStudentCompletion(DiaReportStudentCompletion diaReportStudentCompletion);

    /**
     * 批量删除学生完成情况
     *
     * @param completionIds 需要删除的学生完成情况主键集合
     * @return 结果
     */
    int deleteDiaReportStudentCompletionByCompletionIds(Long[] completionIds);

    /**
     * 删除学生完成情况信息
     *
     * @param completionId 学生完成情况主键
     * @return 结果
     */
    int deleteDiaReportStudentCompletionByCompletionId(Long completionId);
}
