package com.srs.flowable.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.flowable.domain.StuDropOutSchool;

import java.util.List;

/**
 * 学生退学申请记录Mapper接口
 *
 * @author LSD
 * @date 2024-06-20
 */
public interface StuDropOutSchoolMapper {
    /**
     * 查询学生退学申请记录
     *
     * @param dropOutSchoolId 学生退学申请记录主键
     * @return 学生退学申请记录
     */
    public StuDropOutSchool selectRtStuDropOutSchoolByDropOutSchoolId(Long dropOutSchoolId);

    /**
     * 查询学生退学申请记录列表
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 学生退学申请记录集合
     */
    List<StuDropOutSchool> selectRtStuDropOutSchoolList(StuDropOutSchool rtStuDropOutSchool);

    /**
     * 新增学生退学申请记录
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 结果
     */
    int insertRtStuDropOutSchool(StuDropOutSchool rtStuDropOutSchool);

    /**
     * 修改学生退学申请记录
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 结果
     */
    int updateRtStuDropOutSchool(StuDropOutSchool rtStuDropOutSchool);

    /**
     * 删除学生退学申请记录
     *
     * @param dropOutSchoolId 学生退学申请记录主键
     * @return 结果
     */
    int deleteRtStuDropOutSchoolByDropOutSchoolId(Long dropOutSchoolId);

    /**
     * 批量删除学生退学申请记录
     *
     * @param dropOutSchoolIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuDropOutSchoolByDropOutSchoolIds(Long[] dropOutSchoolIds);
}
