package com.srs.flowable.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.flowable.domain.StuQuitSchool;

import java.util.List;

/**
 * 休学申请记录Mapper接口
 *
 * @author LSD
 * @date 2024-06-12
 */
public interface StuQuitSchoolMapper{
    /**
     * 查询休学申请记录
     *
     * @param quitSchoolId 休学申请记录主键
     * @return 休学申请记录
     */
    public StuQuitSchool selectRtStuQuitSchoolByQuitSchoolId(Long quitSchoolId);

    /**
     * 查询休学申请记录列表
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 休学申请记录集合
     */
    List<StuQuitSchool> selectRtStuQuitSchoolList(StuQuitSchool rtStuQuitSchool);

    /**
     * 新增休学申请记录
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 结果
     */
    int insertRtStuQuitSchool(StuQuitSchool rtStuQuitSchool);

    /**
     * 修改休学申请记录
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 结果
     */
    int updateRtStuQuitSchool(StuQuitSchool rtStuQuitSchool);

    /**
     * 删除休学申请记录
     *
     * @param quitSchoolId 休学申请记录主键
     * @return 结果
     */
    int deleteRtStuQuitSchoolByQuitSchoolId(Long quitSchoolId);

    /**
     * 批量删除休学申请记录
     *
     * @param quitSchoolIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuQuitSchoolByQuitSchoolIds(Long[] quitSchoolIds);
}
