package com.srs.routine.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 需开班会班级对象 rt_class_meeting_class
 *
 * @author srs
 * @date 2025-04-08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtClassMeetingClass对象" , description = "班会班级")
@TableName("rt_class_meeting_class")
public class RtClassMeetingClass{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 班会主题id
     */
    @ApiModelProperty("班会主题id")
    @TableField("cmt_id")
    @Excel(name = "班会主题id")
    public Long cmtId;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    @TableField("class_id")
    @Excel(name = "班级id")
    public Long classId;


    @TableField(exist = false)
    public Long gradeId;

    @TableField(exist = false)
    public String cmTitle;

    @TableField(exist = false)
    public String className;

    @TableField(exist = false)
    public String cmNo;

    @TableField(exist = false)
    public String tNo;


}
