package com.srs.routine.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 辅导员班会对象 rt_class_metting_held
 *
 * @author LSD
 * @date 2025-03-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtClassMettingHeld对象" , description = "辅导员班会")
@TableName("rt_class_metting_held")
public class RtClassMettingHeld extends BaseEntity{
    private static final long serialVersionUID=1L;

    @TableField(exist = false)
    public String tNo;

    @TableField(exist = false)
    public String className;

    @TableField(exist = false)
    public List<String> classIds;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("cmh_id")
    private Long cmhId;

    /**
     * 班会材料
     */
    @ApiModelProperty("班会材料")
    @TableField("metting_file")
    @Excel(name = "班会材料")
    private String mettingFile;

    /**
     * 班会主题
     */
    @ApiModelProperty("班会主题")
    @TableField("metting_theme")
    @Excel(name = "班会主题")
    private String mettingTheme;

    /**
     * 院校编码
     */
    @ApiModelProperty("院校编码")
    @TableField("cmh_department_no")
    @Excel(name = "院校编码")
    private String cmhDepartmentNo;

    /**
     * 专业编码
     */
    @ApiModelProperty("专业编码")
    @TableField("cmh_major_no")
    @Excel(name = "专业编码")
    private String cmhMajorNo;

    /**
     * 班级编码
     */
    @ApiModelProperty("班级编码")
    @TableField("cmh_class_no")
    @Excel(name = "班级编码")
    private String cmhClassNo;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("cmh_teacher_no")
    @Excel(name = "辅导员工号")
    private String cmhTeacherNo;

    /**
     * 总结文本
     */
    @ApiModelProperty("总结文本")
    @TableField("cmh_text_content")
    @Excel(name = "总结文本")
    private String cmhTextContent;

    /**
     * 班会总结
     */
    @ApiModelProperty("班会总结")
    @TableField("cmh_content")
    @Excel(name = "班会总结")
    private String cmhContent;

    /**
     * 班会时间
     */
    @ApiModelProperty("班会时间")
    @TableField("cmh_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班会时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date cmhTime;

    /**
     * 班会地址
     */
    @ApiModelProperty("班会地址")
    @TableField("cmh_addr")
    @Excel(name = "班会地址")
    private String cmhAddr;

    /**
     * 状态：0：保存、1：发布
     */
    @ApiModelProperty("状态：0：保存、1：发布")
    @TableField("status")
    @Excel(name = "状态：0：保存、1：发布")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


}
