package com.srs.routine.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;


/**
 * 指定学生上传对象 rt_class_metting_stu_upload
 *
 * @author srs
 * @date 2025-02-09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtClassMettingStuUpload对象" , description = "指定学生上传")
@TableName("rt_class_metting_stu_upload")
public class RtClassMettingStuUpload implements Serializable {
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 教师工号
     */
    @ApiModelProperty("教师工号")
    @TableField("t_no")
    @Excel(name = "教师工号")
    private String tNo;

    @TableField(exist = false)
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    @TableField(exist = false)
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;



}
