package com.srs.routine.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 班会主题对象 rt_class_metting_theme
 *
 * @author deng
 * @date 2024-05-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtClassMettingTheme对象" , description = "班会主题")
@TableName("rt_class_metting_theme")
public class RtClassMettingTheme extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    public String classCode;

    @TableField(exist = false)
    public Long majorId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("cm_id")
    private Long cmId;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    @TableField("cm_no")
    @Excel(name = "编码")
    private String cmNo;

    /**
     * 主题内容
     */
    @ApiModelProperty("主题内容")
    @TableField("cm_theme")
    @Excel(name = "主题内容")
    private String cmTheme;

    /**
     * 主题内容
     */
    @ApiModelProperty("主题内容文本")
    @TableField("cm_text_theme")
    @Excel(name = "主题内容文本")
    private String cmTextTheme;

    /**
     * 班会标题
     */
    @ApiModelProperty("班会标题")
    @TableField("cm_title")
    @Excel(name = "班会标题")
    private String cmTitle;

    /**
     * 是否需要上传材料
     */
    @ApiModelProperty("是否需要上传材料")
    @TableField("cm_isupload")
    @Excel(name = "是否需要上传材料")
    private String cmIsupload;

    /**
     * 班会性质
     */
    @ApiModelProperty("班会性质")
    @TableField("cm_prop")
    @Excel(name = "班会性质")
    private String cmProp;

    /**
     * 班会计划开始时间
     */
    @ApiModelProperty("班会计划开始时间")
    @TableField("cm_start")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班会计划开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cmStart;

    /**
     * 班会计划结束时间
     */
    @ApiModelProperty("班会计划结束时间")
    @TableField("cm_end")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班会计划结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cmEnd;

    /**
     * 状态：0：保存、1：发布，2：停用，3：结束
     */
    @ApiModelProperty("状态：0：保存、1：发布，2：停用，3：结束")
    @TableField("status")
    @Excel(name = "状态：0：保存、1：发布，2：停用，3：结束")
    private String status;

    /**
     * 是否完成：0：否、1：是
     */
    @ApiModelProperty("是否完成")
    @TableField(exist = false)
    @Excel(name = "是否完成")
    private String isComplate;

    /**
     * 辅导员编号
     */
    @ApiModelProperty("辅导员编号")
    @TableField(exist = false)
    @Excel(name = "辅导员编号")
    private String userName;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


    /**
     * 附件列表
     */
    @TableField(exist = false)
    private List<SrsAttachResource> attachResourceList;

}
