package com.srs.routine.domain;

import java.util.Date;
import java.util.HashMap;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.routine.domain.vo.RtFuAuditVo;
import com.srs.routine.domain.vo.RtFuResourceVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;
import org.joda.time.DateTime;


/**
 * 功能房预约对象 rt_fu_reservation
 *
 * @author srs
 * @date 2024-07-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuReservation对象" , description = "功能房预约")
@TableName("rt_fu_reservation")
public class RtFuReservation extends BaseEntity{
    private static final long serialVersionUID=1L;

    public String roomMatter;
    public String roomImg;
    public String roomInfo;
    public String roomPurp;
    public String status;
    public String roomCapacity;
    public String roomCreateTime;
    public String roomUser;
    public String roomDepar;
    private String roWeekTime;
//    private String roWeekday;
    private RtFuAuditVo audit;
private List<RtFuResourceVo> rtFuResourceList;
    /**
     *
     */
    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 功能房预约编码
     */
    @ApiModelProperty("功能房预约编码")
    @TableField("re_no")
    @Excel(name = "功能房预约编码")
    private String reNo;

    /**
     * 功能房编码
     */
    @ApiModelProperty("功能房编码")
    @TableField("ro_no")
    @Excel(name = "功能房编码")
    private String roNo;

    /**
     * 功能房名
     */
    @ApiModelProperty("功能房名")
    @TableField("room_name")
    @Excel(name = "功能房名")
    private String roomName;

    /**
     * 主题
     */
    @ApiModelProperty("主题")
    @TableField("rt_theme")
    @Excel(name = "主题")
    private String rtTheme;

    /**
     * 参与人员类型
     */
    @ApiModelProperty("参与人员类型")
    @TableField("rt_role")
    @Excel(name = "参与人员类型")
    private String rtRole;

    /**
     * 参与人数
     */
    @ApiModelProperty("参与人数")
    @TableField("rt_people")
    @Excel(name = "参与人数")
    private String rtPeople;

    /**
     * 预约用途
     */
    @ApiModelProperty("预约用途")
    @TableField("rt_purpose")
    @Excel(name = "预约用途")
    private String rtPurpose;

    /**
     * 预约时间
     */
    @ApiModelProperty("预约时间")
    @TableField("rt_Time")
    @Excel(name = "预约时间")
    private String rtTime;

    /**
     * 预约时间段
     */
    @ApiModelProperty("预约时间段")
    @TableField("rt_yuyue")
    @Excel(name = "预约时间段")
    private String rtYuyue;

    /**
     * 使用状态0未使用
     */
    @ApiModelProperty("使用状态0未使用")
    @TableField("rt_state")
    @Excel(name = "使用状态0未使用")
    private Integer rtState;

    /**
     * 试用期间图片
     */
    @ApiModelProperty("试用期间图片")
    @TableField("rt_imgs")
    @Excel(name = "试用期间图片")
    private String rtImgs;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("rt_creatTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rtCreattime;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField("rt_upTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rtUptime;

    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    @TableField("rt_creat_role")
    @Excel(name = "申请人")
    private String rtCreatRole;

    /**
     * 借用部门、学院
     */
    @ApiModelProperty("借用部门、学院")
    @TableField("rt_depar")
    @Excel(name = "借用部门、学院")
    private String rtDepar;




    /**
     * 审批人
     */
    @ApiModelProperty("审批人")
    @TableField("auditor")
    @Excel(name = "审批人")
    private String Auditor;

    /**
     * 审批状态
     */
    @ApiModelProperty("审批状态")
    @TableField("au_status")
    @Excel(name = "审批人")
    private String auStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date CreateTime;
    /**
     * 审批时间
     */
    @ApiModelProperty("审批时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审批时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date upDateTime;

    /**
     * 审批部门、学院
     */
    @ApiModelProperty("审批部门、学院")
    @TableField("depart")
    @Excel(name = "使用部门、学院")
    private String Depart;
    /**
     * 不同意说明
     */
    @ApiModelProperty("不同意说明")
    @TableField("reason")
    @Excel(name = "不同意说明")
    private String Reason;

    public HashMap Wek;
    public String day;
}
