package com.srs.routine.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 功能房开放时间段对象 rt_fu_solt
 *
 * @author srs
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuSolt对象" , description = "功能房开放时间段")
@TableName("rt_fu_solt")
public class RtFuSolt extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     *
     */
    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 功能房规则类型
     */
    @ApiModelProperty("功能房规则的uuid")
    @TableField("ro_type")
    @Excel(name = "功能房规则的uuid")
    private String roType;

    /**
     * 规则名字
     */
    @ApiModelProperty("规则名字")
    @TableField("so_rule")
    @Excel(name = "规则名字")
    private String soRule;
    /**
     * 星期几
     */
    @ApiModelProperty("星期几")
    @TableField("ro_weekday")
    @Excel(name = "星期几")
    private String roWeekday;

    /**
     * 自己的编码
     */
    @ApiModelProperty("自己的编码")
    @TableField("so_no")
    @Excel(name = "自己的编码")
    private String soNo;

    /**
     * 当前为周几，0为星期一，1为星期二
     */
    @ApiModelProperty("开始的时间段")
    @TableField("ro_startTime")
    @Excel(name = "开始的时间段")
    private String roStartTime;

    /**
     * 当前时间段
     */
    @ApiModelProperty("结束的时间段")
    @TableField("ro_endTime")
    @Excel(name = "结束的时间段")
    private String roEndTime;


}
