package com.srs.routine.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 测试对象 rt_stu_at_school
 *
 * @author srs
 * @date 2024-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtStuAtSchool对象" , description = "在校证明")
@TableName("rt_stu_at_school")
public class RtStuAtSchool extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("sex")
    @Excel(name = "性别")
    private String sex;

    /**
     * 申请原因
     */
    @ApiModelProperty("申请原因")
    @TableField("describe")
    @Excel(name = "申请原因")
    private String describe;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("student_id")
    @Excel(name = "学号")
    private String studentId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("name")
    @Excel(name = "姓名")
    private String name;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    @Excel(name = "学院")
    private String college;

    /**
     * 级别
     */
    @ApiModelProperty("级别")
    @TableField("grade")
    @Excel(name = "级别")
    private String grade;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    @TableField("stu_created")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date stuCreated;

    /**
     * 身份证
     */
    @ApiModelProperty("身份证")
    @TableField("identity_card")
    @Excel(name = "身份证")
    private String identityCard;

    /**
     * 原因

     */
    @ApiModelProperty("原因")
    @TableField("because")
    @Excel(name = "原因")
    private String because;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private Long status;

    /**
     * 籍贯
     */
    @ApiModelProperty("籍贯")
    @TableField("jg")
    @Excel(name = "籍贯")
    private String jg;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("photo")
    @Excel(name = "照片")
    private String photo;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @TableField("birthday")
    @Excel(name = "出生日期")
    private String birthday;

    /**
     * 入学时间
     */
    @ApiModelProperty("入学时间")
    @TableField("Intake")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入学时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date Intake;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("nation")
    @Excel(name = "民族")
    private String nation;

    /**
     * 家庭地址
     */
    @ApiModelProperty("家庭地址")
    @TableField("homeaddress")
    @Excel(name = "家庭地址")
    private String homeaddress;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdyopinion")
    @Excel(name = "辅导员意见")
    private String fdyopinion;

    /**
     * 学工意见
     */
    @ApiModelProperty("学工意见")
    @TableField("xgopinion")
    @Excel(name = "学工意见")
    private String xgopinion;

    /**
     * 学工审批状态
     */
    @ApiModelProperty("学工审批状态")
    @TableField("xgstatus")
    @Excel(name = "学工审批状态")
    private Long xgstatus;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    private String className;

    /**
     * 辅导员
     */
    @ApiModelProperty("辅导员")
    @TableField("fdname")
    @Excel(name = "辅导员")
    private String fdname;

    /**
     * 学工名字
     */
    @ApiModelProperty("学工名字")
    @TableField("xgname")
    @Excel(name = "学工名字")
    private String xgname;

    /**
     * 乘车区间
     */
    @ApiModelProperty("乘车区间")
    @TableField("areas")
    @Excel(name = "乘车区间")
    private String areas;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("major")
    @Excel(name = "专业")
    private String major;

    /**
     * 市\县
     */
    @ApiModelProperty("市县")
    @TableField("county")
    @Excel(name = "市县")
    private String county;

    /**
     * 辅导员审批时间
     */
    @ApiModelProperty("辅导员审批时间")
    @TableField("fdtime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审批时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdtime;

    /**
     * 学工处审批时间
     */
    @ApiModelProperty("学工处审批时间")
    @TableField("xgtime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学工处审批时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date xgtime;


        }
