package com.srs.routine.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生证补办对象 rt_stu_id_reissue
 *
 * @author srs
 * @date 2024-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtStuIdReissue对象" , description = "学生证补办")
@TableName("rt_stu_id_reissue")
public class RtStuIdReissue extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生用户ID,sys_user的id
     */
    @ApiModelProperty("学生用户ID,sys_user的id")
    @TableField("stu_id")
    @Excel(name = "学生用户ID,sys_user的id")
    private Long stuId;

    /**
     * 学生名称
     */
    @ApiModelProperty("学生名称")
    @TableField("stu_name")
    @Excel(name = "学生名称")
    private String stuName;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("photo")
    @Excel(name = "照片")
    private String photo;

    /**
     * 补办原因
     */
    @ApiModelProperty("补办原因")
    @TableField("reason")
    @Excel(name = "补办原因")
    private String reason;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    @TableField("apply_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 审核状态（0
     */
    @ApiModelProperty("审核状态（0")
    @TableField("inspection_progress")
    @Excel(name = "审核状态" , readConverterExp = "审核状态（0")
    private Long inspectionProgress;

    /**
     * 辅导员user表id
     */
    @ApiModelProperty("辅导员user表id")
    @TableField("counsellor_id")
    @Excel(name = "辅导员user表id")
    private Long counsellorId;

    /**
     * 辅导员名字
     */
    @ApiModelProperty("辅导员名字")
    @TableField("counsellor_name")
    @Excel(name = "辅导员名字")
    private String counsellorName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    private String gender;

    /**
     * 部门
     */
    @ApiModelProperty("部门")
    @TableField("department_Name")
    @Excel(name = "部门")
    private String departmentName;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    @TableField("grade_name")
    @Excel(name = "年级")
    private String gradeName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    private String className;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    private String mz;

    /**
     * 籍贯
     */
    @ApiModelProperty("籍贯")
    @TableField("jg")
    @Excel(name = "籍贯")
    private String jg;

    /**
     * 市/县
     */
    @ApiModelProperty("市/县")
    @TableField("hksz2")
    @Excel(name = "市/县")
    private String hksz2;

    /**
     * 宿舍号
     */
    @ApiModelProperty("宿舍号")
    @TableField("dormitory_number")
    @Excel(name = "宿舍号")
    private Long dormitoryNumber;

    /**
     * 宿舍楼
     */
    @ApiModelProperty("宿舍楼")
    @TableField("dormitory_building")
    @Excel(name = "宿舍楼")
    private String dormitoryBuilding;

    /**
     * 生源地
     */
    @ApiModelProperty("生源地")
    @TableField("birthplace")
    @Excel(name = "生源地")
    private String birthplace;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @TableField("birthday")
    @Excel(name = "出生日期")
    private String birthday;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("phoneNumber")
    @Excel(name = "联系电话")
    private String phoneNumber;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_cmt")
    @Excel(name = "辅导员意见")
    private String fdyCmt;

    /**
     * 学工处意见
     */
    @ApiModelProperty("学工处意见")
    @TableField("jwc_cmt")
    @Excel(name = "学工处意见")
    private String jwcCmt;

    /**
     * 是否缴费（0
     */
    @ApiModelProperty("是否缴费（0")
    @TableField("is_pay")
    @Excel(name = "是否缴费" , readConverterExp = "是否缴费（0")
    private Long isPay;

    /**
     * 缴费金额
     */
    @ApiModelProperty("缴费金额")
    @TableField("payment_amount")
    @Excel(name = "缴费金额")
    private BigDecimal paymentAmount;

    /**
     * 乘火车区间
     */
    @ApiModelProperty("乘火车区间")
    @TableField("railway_station")
    @Excel(name = "乘火车区间")
    private String railwayStation;

    /**
     * 入学时间
     */
    @ApiModelProperty("入学时间")
    @TableField("enrollment_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入学时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date enrollmentTime;


}
