package com.srs.routine.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 请假操作记录对象 rt_stu_leave_operation_records
 *
 * @author LSD
 * @date 2024-03-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtStuLeaveOperationRecords对象" , description = "请假操作记录表")
@TableName("rt_stu_leave_operation_records")
public class RtStuLeaveOperationRecords extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 操作记录ID
     */
    @ApiModelProperty("操作记录ID")
    @TableField("operation_records_id")
    private Long operationRecordsId;

    /**
     * 请假申请ID
     */
    @ApiModelProperty("请假申请ID")
    @TableField("leave_application_id")
    @Excel(name = "请假申请ID")
    private Long leaveApplicationId;

    /**
     * 操作类型（0、辅导员审批；1、学生销假申请；2、辅导员核实销假；3、结束）
     */
    @ApiModelProperty("操作类型（0、辅导员审批；1、学生销假申请；2、辅导员核实销假；3、结束）")
    @TableField("operation_type")
    @Excel(name = "操作类型" , readConverterExp = "0=、辅导员审批；1、学生销假申请；2、辅导员核实销假；3、结束")
    private Integer operationType;

    /**
     * 操作结果（辅导员审批假：0-同意、1-不同意、2-驳回;学生销假申请：0-成功;1-失败；辅导员核实销假：0-同意；1-不同意）
     */
    @ApiModelProperty("操作结果（辅导员审批假：0-同意、1-不同意、2-驳回;学生销假申请：0-成功;1-失败；辅导员核实销假：0-同意；1-不同意）")
    @TableField("operation_result")
    @Excel(name = "操作结果" , readConverterExp = "辅=导员审批假：0-同意、1-不同意、2-驳回;学生销假申请：0-成功;1-失败；辅导员核实销假：0-同意；1-不同意")
    private Integer operationResult;

    /**
     * 签名
     */
    @ApiModelProperty("签名")
    @TableField("signature")
    @Excel(name = "签名")
    private String signature;

    /**
     * 签名日期
     */
    @ApiModelProperty("签名日期")
    @TableField("signature_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签名日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date signatureDate;

    /**
     * 留言
     */
    @ApiModelProperty("留言")
    @TableField("comments")
    @Excel(name = "留言")
    private String comments;


        }
