package com.srs.routine.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 多级审核
 * 对象 rt_stu_multi_level_review
 *
 * @author srs
 * @date 2024-05-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtStuMultiLevelReview对象", description = "多级审核表")
@TableName("rt_stu_multi_level_review")
public class RtStuMultiLevelReview extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    @TableField("stu_name")
    @Excel(name = "学生姓名")
    private String stuName;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    @TableField("stuNo")
    @Excel(name = "学生学号")
    private String stuNo;

    /**
     * 申请原因
     */
    @ApiModelProperty("申请原因")
    @TableField("reason")
    @Excel(name = "申请原因")
    private String reason;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("reviewer")
    @Excel(name = "审核人")
    private String reviewer;

    /**
     * 审核人身份
     */
    @ApiModelProperty("审核人身份")
    @TableField("reviewer_identity")
    @Excel(name = "审核人身份")
    private String reviewerIdentity;

    /**
     * 审核时间
     */
    @ApiModelProperty("审核时间")
    @TableField("review_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reviewTime;

    /**
     * 审核人id
     */
    @ApiModelProperty("审核人id")
    @TableField("reviewer_id")
    @Excel(name = "审核人id")
    private Long reviewerId;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @TableField("notes")
    @Excel(name = "备注")
    private String notes;

    /**
     * 申请类型（0
     */
    @ApiModelProperty("申请类型（0")
    @TableField("type")
    @Excel(name = "申请类型", readConverterExp = "申请类型（0")
    private Long type;

    /**
     * 审核状态（0
     */
    @ApiModelProperty("审核状态（0")
    @TableField("reviewer_status")
    @Excel(name = "审核状态", readConverterExp = "审核状态（0")
    private Long reviewerStatus;


}
