package com.srs.routine.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 附件资源对象 srs_attach_resource
 *
 * @author srs
 * @date 2024-05-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsAttachResource对象", description = "附件资源")
@TableName("srs_attach_resource")
public class SrsAttachResource extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("res_id")
    private Long resId;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    @TableField("res_no")
    @Excel(name = "编码")
    private String resNo;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    @TableField("res_name")
    @Excel(name = "文件名称")
    private String resName;


    /**
     * 资源类型
     */
    @ApiModelProperty("资源类型")
    @TableField("res_type")
    @Excel(name = "资源类型")
    private String resType;

    /**
     * 主内容编码
     */
    @ApiModelProperty("主内容编码")
    @TableField("res_main_no")
    @Excel(name = "主内容编码")
    private String resMainNo;

    /**
     * 路径
     */
    @ApiModelProperty("路径")
    @TableField("res_path")
    @Excel(name = "路径")
    private String resPath;

    /**
     * 状态：0：保存、1：发布，2：停用，3：结束
     */
    @ApiModelProperty("状态：0：保存、1：发布，2：停用，3：结束")
    @TableField("status")
    @Excel(name = "状态：0：保存、1：发布，2：停用，3：结束")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


}
