package com.srs.routine.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuReservation" , description = "一站式功能房--功能房预约")
@TableName("rt_fu_reservation")
public class RtFureservationDto  extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 功能房名
     */
    @ApiModelProperty("功能房名")
    @TableField("room_name")
    @Excel(name = "功能房名")
    private String roomName;

    /**
     * 申请人
     */
    @ApiModelProperty("学号")
    @TableField("rt_creat_role")
    @Excel(name = "学号")
    private String rtCreatRole;

    /**
     * 借用部门、学院
     */
    @ApiModelProperty("部门/学院")
    @TableField("rt_depar")
    @Excel(name = "借用部门/学院")
    private String rtDepar;

    /**
     * 预约时间
     */
    @ApiModelProperty("预约时间")
    @TableField("rt_Time")
    @Excel(name = "预约时间")
    private String rtTime;

    @ApiModelProperty("开始时间")
    @TableField("ro_startTime")
    @Excel(name = "开始时间")
    private String roStartTime;

    @ApiModelProperty("结束时间")
    @TableField("ro_endTime")
    @Excel(name = "结束时间")
    private String roEndTime;

    /**
     * 参与人员类型
     */
    @ApiModelProperty("参与人员类型")
    @TableField("rt_role")
    @Excel(name = "参与人员类型")
    private String rtRole;

    /**
     * 参与人数
     */
    @ApiModelProperty("参与人数")
    @TableField("rt_people")
    @Excel(name = "参与人数")
    private String rtPeople;

    /**
     * 预约用途
     */
    @ApiModelProperty("预约用途")
    @TableField("rt_purpose")
    @Excel(name = "预约用途")
    private String rtPurpose;

    /**
     * 主题
     */
    @ApiModelProperty("主题")
    @TableField("rt_theme")
    @Excel(name = "主题")
    private String rtTheme;

    /**
     * 照片名称
     */
    @ApiModelProperty("照片名称")
    @TableField("res_name")
    @Excel(name = "照片名称")
    private String resName;

    /**
     * 路径
     */
    @ApiModelProperty("照片路径")
    @TableField("res_path")
    @Excel(name = "照片路径")
    private String resPath;
}
