package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.srs.routine.domain.RtFuResource;
import com.srs.routine.domain.RtFuSolt;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RtFuRoomVo implements Serializable {
    private static final long serialVersionUID=1L;
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 功能房代码
     */
    @ApiModelProperty("功能房代码")
    @TableField("ro_no")
    @Excel(name = "功能房代码")
    private String roNo;

    /**
     * 功能房名
     */
    @ApiModelProperty("功能房名")
    private String roomName;

    /**
     * 使用事项
     */
    @ApiModelProperty("使用事项")
    private String roomMatter;

    /**
     * 功能房照片
     */
    @ApiModelProperty("功能房规则")
    private String roomRule;


    /**
     * 功能房介绍
     */
    @ApiModelProperty("功能房介绍")
    private String roomInfo;

    /**
     * 功能房用途
     */
    @ApiModelProperty("功能房用途")
    private String roomPurp;

    /**
     * 开发状态
     */
    @ApiModelProperty("开放状态")
    private String status;

    /**
     * 功能房可承载人数
     */
    @ApiModelProperty("功能房可承载人数")
    private String roomCapacity;


    /**
     * 附件图片列表
     */
    @TableField(exist = false)
    private List<RtFuResourceVo> rtFuResourcesList;

    @ApiModelProperty("时间段")
    private List<RtfuRuleVo> rtFuSoltList;

    private  Map<String, List<Map<String, String>>> response = new HashMap<>();
}
