package com.srs.routine.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class StuDisciplinaryPenaltyNumber implements Serializable {

    /**
     * 处分文号
     */
    @ApiModelProperty("处分文号")
    @TableField("penalty_number")
    @Excel(name = "处分文号")
    private String penaltyNumber;

    /**
     * 违纪日期
     */
    @ApiModelProperty("违纪日期")
    @TableField("violation_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "违纪日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date violationDate;

    /**
     * 处分等级：（0-警告；1-严重警告；2-记过；3-留校察看）
     */
    @ApiModelProperty("处分等级：（0-警告；1-严重警告；2-记过；3-留校察看）")
    @TableField("penalty_type")
    @Excel(name = "处分等级：", readConverterExp = "0=-警告；1-严重警告；2-记过；3-留校察看;4-开出学籍")
    private Long penaltyType;

    /**
     * 处分到期时间
     */
    @ApiModelProperty("处分到期时间")
    @TableField("expiration_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处分到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expirationDate;

    /**
     * 处分建议
     */
    @ApiModelProperty("处分建议")
    @TableField("penalty_recommendation")
    @Excel(name = "处分建议")
    private String penaltyRecommendation;

    /**
     * 违规条例
     */
    @ApiModelProperty("违规条例")
    @TableField("violation_regulations")
    @Excel(name = "违规条例")
    private String violationRegulations;


}
