package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtClassMettingContent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 班会内容Mapper接口
 *
 * @author srs
 * @date 2024-05-18
 */
public interface RtClassMettingContentMapper extends BaseMapper<RtClassMettingContent> {
    /**
     * 查询班会内容
     *
     * @param crId 班会内容主键
     * @return 班会内容
     */
    public RtClassMettingContent selectRtClassMettingContentByCrId(Long crId);

    /**
     * 查询班会内容列表
     *
     * @param rtClassMettingContent 班会内容
     * @return 班会内容集合
     */
    List<RtClassMettingContent> selectRtClassMettingContentList(RtClassMettingContent rtClassMettingContent);

    /**
     * 新增班会内容
     *
     * @param rtClassMettingContent 班会内容
     * @return 结果
     */
    int insertRtClassMettingContent(RtClassMettingContent rtClassMettingContent);

    /**
     * 修改班会内容
     *
     * @param rtClassMettingContent 班会内容
     * @return 结果
     */
    int updateRtClassMettingContent(RtClassMettingContent rtClassMettingContent);

    /**
     * 删除班会内容
     *
     * @param crId 班会内容主键
     * @return 结果
     */
    int deleteRtClassMettingContentByCrId(Long crId);

    /**
     * 批量删除班会内容
     *
     * @param crIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtClassMettingContentByCrIds(Long[] crIds);
}
