package com.srs.routine.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.RtStuDisqualification;

import java.util.List;

/**
 * 给予学生退学申请Mapper接口
 *
 * @author LSD
 * @date 2024-07-31
 */
public interface RtStuDisqualificationMapper extends BaseMapper<RtStuDisqualification> {
    /**
     * 查询给予学生退学申请
     *
     * @param disqualificationId 给予学生退学申请主键
     * @return 给予学生退学申请
     */
    public RtStuDisqualification selectRtStuDisqualificationByDisqualificationId(Long disqualificationId);

    /**
     * 查询给予学生退学申请列表
     *
     * @param rtStuDisqualification 给予学生退学申请
     * @return 给予学生退学申请集合
     */
    List<RtStuDisqualification> selectRtStuDisqualificationList(RtStuDisqualification rtStuDisqualification);

    /**
     * 新增给予学生退学申请
     *
     * @param rtStuDisqualification 给予学生退学申请
     * @return 结果
     */
    int insertRtStuDisqualification(RtStuDisqualification rtStuDisqualification);

    /**
     * 修改给予学生退学申请
     *
     * @param rtStuDisqualification 给予学生退学申请
     * @return 结果
     */
    int updateRtStuDisqualification(RtStuDisqualification rtStuDisqualification);

    /**
     * 删除给予学生退学申请
     *
     * @param disqualificationId 给予学生退学申请主键
     * @return 结果
     */
    int deleteRtStuDisqualificationByDisqualificationId(Long disqualificationId);

    /**
     * 批量删除给予学生退学申请
     *
     * @param disqualificationIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuDisqualificationByDisqualificationIds(Long[] disqualificationIds);

    /**
     * 查询学务
     * @param rtStuDisqualification
     * @return
     */
    List<RtStuDisqualification> selectRtStuDisqualificationListByXW(RtStuDisqualification rtStuDisqualification);
}
