package com.srs.routine.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.RtStuReentrySchool;

import java.util.List;

/**
 * 复学申请记录Mapper接口
 *
 * @author srs
 * @date 2024-07-05
 */
public interface RtStuReentrySchoolMapper extends BaseMapper<RtStuReentrySchool> {
    /**
     * 查询复学申请记录
     *
     * @param reentryId 复学申请记录主键
     * @return 复学申请记录
     */
    public RtStuReentrySchool selectRtStuReentrySchoolByReentryId(Long reentryId);

    /**
     * 查询复学申请记录列表
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 复学申请记录集合
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolList(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 新增复学申请记录
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 结果
     */
    int insertRtStuReentrySchool(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 修改复学申请记录
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 结果
     */
    int updateRtStuReentrySchool(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 删除复学申请记录
     *
     * @param reentryId 复学申请记录主键
     * @return 结果
     */
    int deleteRtStuReentrySchoolByReentryId(Long reentryId);

    /**
     * 批量删除复学申请记录
     *
     * @param reentryIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuReentrySchoolByReentryIds(Long[] reentryIds);

    /**
     * 查询复学申请记录列表
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 复学申请记录集合
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolListByXW(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 查询复学申请记录列表
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 复学申请记录集合
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolListByFdy(RtStuReentrySchool rtStuReentrySchool);
}
