package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtStuMultiLevelReview;

/**
 * 审核信息Service接口
 *
 * @author srs
 * @date 2024-05-17
 */
public interface IRtStuMultiLevelReviewService extends IService<RtStuMultiLevelReview> {
    /**
     * 查询审核信息
     *
     * @param id 审核信息主键
     * @return 审核信息
     */
    public RtStuMultiLevelReview selectRtStuMultiLevelReviewById(Long id);

    public RtStuMultiLevelReview selectRtStuMultiLevelReviewByReviewerIdentity(String reviewerIdentity, String stuNo);

    /**
     * 查询审核信息列表
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 审核信息集合
     */
    List<RtStuMultiLevelReview> selectRtStuMultiLevelReviewList(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 新增审核信息
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 结果
     */
    int insertRtStuMultiLevelReview(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 修改审核信息
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 结果
     */
    int updateRtStuMultiLevelReview(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 批量删除审核信息
     *
     * @param ids 需要删除的审核信息主键集合
     * @return 结果
     */
    int deleteRtStuMultiLevelReviewByIds(Long[] ids);

    /**
     * 删除审核信息信息
     *
     * @param id 审核信息主键
     * @return 结果
     */
    int deleteRtStuMultiLevelReviewById(Long id);
}
