package com.srs.routine.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtStuReentrySchool;

import java.util.List;

/**
 * 复学申请记录Service接口
 *
 * @author srs
 * @date 2024-07-05
 */
public interface IRtStuReentrySchoolService extends IService<RtStuReentrySchool> {
    /**
     * 查询复学申请记录
     *
     * @param reentryId 复学申请记录主键
     * @return 复学申请记录
     */
    public RtStuReentrySchool selectRtStuReentrySchoolByReentryId(Long reentryId);

    /**
     * 查询复学申请记录列表
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 复学申请记录集合
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolList(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 新增复学申请记录
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 结果
     */
    int insertRtStuReentrySchool(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 修改复学申请记录
     *
     * @param rtStuReentrySchool 复学申请记录
     * @return 结果
     */
    int updateRtStuReentrySchool(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 批量删除复学申请记录
     *
     * @param reentryIds 需要删除的复学申请记录主键集合
     * @return 结果
     */
    int deleteRtStuReentrySchoolByReentryIds(Long[] reentryIds);

    /**
     * 删除复学申请记录信息
     *
     * @param reentryId 复学申请记录主键
     * @return 结果
     */
    int deleteRtStuReentrySchoolByReentryId(Long reentryId);

    /**
     * 修改退学数据
     * @param rtStuReentrySchool
     * @return
     */
    int editRtStuReentrySchool(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 根据procInsId获取复学数据
     * @param procInsId
     * @return
     */
    RtStuReentrySchool getRtStuReentrySchoolByProcInsId(String procInsId);

    /**
     * 获取学务数据
     * @param rtStuReentrySchool
     * @return
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolListByXW(RtStuReentrySchool rtStuReentrySchool);

    /**
     * 获取辅导员数据
     * @param rtStuReentrySchool
     * @return
     */
    List<RtStuReentrySchool> selectRtStuReentrySchoolListByFdy(RtStuReentrySchool rtStuReentrySchool);
}
