package com.srs.staff.mapper;

import java.util.List;

import com.srs.staff.domain.SrsStaffOneStopCommunityActivities;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 一站式社区模块-社区活动Mapper接口
 *
 * @author chc
 * @date 2024-07-16
 */
public interface SrsStaffOneStopCommunityActivitiesMapper extends BaseMapper<SrsStaffOneStopCommunityActivities> {
    /**
     * 查询一站式社区模块-社区活动
     *
     * @param activityId 一站式社区模块-社区活动主键
     * @return 一站式社区模块-社区活动
     */
    public SrsStaffOneStopCommunityActivities selectSrsStaffOneStopCommunityActivitiesByActivityId(Long activityId);

    /**
     * 查询一站式社区模块-社区活动列表
     *
     * @param srsStaffOneStopCommunityActivities 一站式社区模块-社区活动
     * @return 一站式社区模块-社区活动集合
     */
    List<SrsStaffOneStopCommunityActivities> selectSrsStaffOneStopCommunityActivitiesList(SrsStaffOneStopCommunityActivities srsStaffOneStopCommunityActivities);

    /**
     * 新增一站式社区模块-社区活动
     *
     * @param srsStaffOneStopCommunityActivities 一站式社区模块-社区活动
     * @return 结果
     */
    int insertSrsStaffOneStopCommunityActivities(SrsStaffOneStopCommunityActivities srsStaffOneStopCommunityActivities);

    /**
     * 修改一站式社区模块-社区活动
     *
     * @param srsStaffOneStopCommunityActivities 一站式社区模块-社区活动
     * @return 结果
     */
    int updateSrsStaffOneStopCommunityActivities(SrsStaffOneStopCommunityActivities srsStaffOneStopCommunityActivities);

    /**
     * 删除一站式社区模块-社区活动
     *
     * @param activityId 一站式社区模块-社区活动主键
     * @return 结果
     */
    int deleteSrsStaffOneStopCommunityActivitiesByActivityId(Long activityId);

    /**
     * 批量删除一站式社区模块-社区活动
     *
     * @param activityIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsStaffOneStopCommunityActivitiesByActivityIds(Long[] activityIds);
}
