package com.srs.staff.mapper;

import java.util.List;

import com.srs.staff.domain.StaffOneStopRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 一站式社区-功能房Mapper接口
 *
 * @author chc
 * @date 2024-08-12
 */
public interface StaffOneStopRoomMapper extends BaseMapper<StaffOneStopRoom> {
    /**
     * 查询一站式社区-功能房
     *
     * @param roomId 一站式社区-功能房主键
     * @return 一站式社区-功能房
     */
    public StaffOneStopRoom selectStaffOneStopRoomByRoomId(Long roomId);


    /**
     * 查询一站式社区-功能房
     *
     * @param roomNo 一站式社区-功能房主键
     * @return 一站式社区-功能房
     */
    public StaffOneStopRoom selectStaffOneStopRoomByRoomNo(String roomNo);

    /**
     * 查询一站式社区-功能房列表
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 一站式社区-功能房集合
     */
    List<StaffOneStopRoom> selectStaffOneStopRoomList(StaffOneStopRoom staffOneStopRoom);

    /**
     * 新增一站式社区-功能房
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 结果
     */
    int insertStaffOneStopRoom(StaffOneStopRoom staffOneStopRoom);

    /**
     * 修改一站式社区-功能房
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 结果
     */
    int updateStaffOneStopRoom(StaffOneStopRoom staffOneStopRoom);

    /**
     * 删除一站式社区-功能房
     *
     * @param roomId 一站式社区-功能房主键
     * @return 结果
     */
    int deleteStaffOneStopRoomByRoomId(Long roomId);

    /**
     * 批量删除一站式社区-功能房
     *
     * @param roomIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteStaffOneStopRoomByRoomIds(Long[] roomIds);
}
