package com.srs.staff.mapper;

import java.util.List;

import com.srs.staff.domain.SysRfile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 文件管理Mapper接口
 *
 * @author srs
 * @date 2024-05-16
 */
public interface SysRfileMapper extends BaseMapper<SysRfile> {
    /**
     * 查询文件管理
     *
     * @param rfileId 文件管理主键
     * @return 文件管理
     */
    public SysRfile selectSysRfileByRfileId(Long rfileId);

    /**
     * 查询文件管理列表
     *
     * @param sysRfile 文件管理
     * @return 文件管理集合
     */
    List<SysRfile> selectSysRfileList(SysRfile sysRfile);

    /**
     * 新增文件管理
     *
     * @param sysRfile 文件管理
     * @return 结果
     */
    int insertSysRfile(SysRfile sysRfile);

    /**
     * 修改文件管理
     *
     * @param sysRfile 文件管理
     * @return 结果
     */
    int updateSysRfile(SysRfile sysRfile);

    /**
     * 删除文件管理
     *
     * @param rfileId 文件管理主键
     * @return 结果
     */
    int deleteSysRfileByRfileId(Long rfileId);

    /**
     * 批量删除文件管理
     *
     * @param rfileIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysRfileByRfileIds(Long[] rfileIds);
}
