package com.srs.staff.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.staff.domain.SrsStaffOneStopCommunityConstruction;

/**
 * 一站式社区模块：社区建设Service接口
 *
 * @author chc
 * @date 2024-07-17
 */
public interface ISrsStaffOneStopCommunityConstructionService extends IService<SrsStaffOneStopCommunityConstruction> {
    /**
     * 查询一站式社区模块：社区建设
     *
     * @param constructId 一站式社区模块：社区建设主键
     * @return 一站式社区模块：社区建设
     */
    public SrsStaffOneStopCommunityConstruction selectSrsStaffOneStopCommunityConstructionByConstructId(Long constructId);

    /**
     * 查询一站式社区模块：社区建设列表
     *
     * @param srsStaffOneStopCommunityConstruction 一站式社区模块：社区建设
     * @return 一站式社区模块：社区建设集合
     */
    List<SrsStaffOneStopCommunityConstruction> selectSrsStaffOneStopCommunityConstructionList(SrsStaffOneStopCommunityConstruction srsStaffOneStopCommunityConstruction);

    /**
     * 新增一站式社区模块：社区建设
     *
     * @param srsStaffOneStopCommunityConstruction 一站式社区模块：社区建设
     * @return 结果
     */
    int insertSrsStaffOneStopCommunityConstruction(SrsStaffOneStopCommunityConstruction srsStaffOneStopCommunityConstruction);

    /**
     * 修改一站式社区模块：社区建设
     *
     * @param srsStaffOneStopCommunityConstruction 一站式社区模块：社区建设
     * @return 结果
     */
    int updateSrsStaffOneStopCommunityConstruction(SrsStaffOneStopCommunityConstruction srsStaffOneStopCommunityConstruction);

    /**
     * 批量删除一站式社区模块：社区建设
     *
     * @param constructIds 需要删除的一站式社区模块：社区建设主键集合
     * @return 结果
     */
    int deleteSrsStaffOneStopCommunityConstructionByConstructIds(Long[] constructIds);

    /**
     * 删除一站式社区模块：社区建设信息
     *
     * @param constructId 一站式社区模块：社区建设主键
     * @return 结果
     */
    int deleteSrsStaffOneStopCommunityConstructionByConstructId(Long constructId);
}
