package com.srs.stureg.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 报到核验对象 srs_stu_check
 *
 * @author srs
 * @date 2024-09-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsStuCheck对象" , description = "报到核验")
@TableName("srs_stu_check")
public class SrsStuCheck extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    @TableField("ksh")
    @Excel(name = "考生号")
    private String ksh;

    /**
     * 是否核验
     */
    @ApiModelProperty("是否核验")
    @TableField("is_check")
    @Excel(name = "是否核验")
    private String isCheck;

    /**
     * 核验时间
     */
    @ApiModelProperty("核验时间")
    @TableField("check_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "核验时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /**
     * 状态（0正常
     */
    @ApiModelProperty("状态（0正常")
    @TableField("status")
    @Excel(name = "状态" , readConverterExp = "状态（0正常")
    private String status;

    private SrsStuReg stuinfo;
}
