package com.srs.stureg.domain;

import java.math.BigDecimal;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生尺码对象 srs_stu_size
 *
 * @author srs
 * @date 2024-03-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsStuSize对象" , description = "学生尺码表")
@TableName("srs_stu_size")
public class SrsStuSize extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    @TableField("ksh")
    @Excel(name = "考生号")
    private String ksh;

    /**
     * 升高
     */
    @ApiModelProperty("升高")
    @TableField("height")
    @Excel(name = "升高")
    private BigDecimal height;

    /**
     * 体重
     */
    @ApiModelProperty("体重")
    @TableField("weight")
    @Excel(name = "体重")
    private BigDecimal weight;

    /**
     * 鞋码
     */
    @ApiModelProperty("鞋码")
    @TableField("shoes")
    @Excel(name = "鞋码")
    private Long shoes;

    /**
     * 状态（0正常
     */
    @ApiModelProperty("状态（0正常")
    @TableField("status")
    @Excel(name = "状态" , readConverterExp = "状态（0正常")
    private String status;


    /**
     * 删除标志
     */
    @ApiModelProperty("删除标志")
    @TableField("del_flag")
    private String delFlag;
        }
