package com.srs.stureg.mapper;

import java.util.List;

import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import com.srs.stureg.domain.SrsMsgQueue;
import com.srs.stureg.domain.SrsStuReg;
import org.apache.ibatis.annotations.Mapper;

/**
 * 短信队列Mapper接口
 * 
 * @author srs
 * @date 2023-07-24
 */
@Mapper
public interface SrsMsgQueueMapper extends EasyBaseMapper<SrsMsgQueue>
{
    /**
     * 查询短信队列
     * 
     * @param id 短信队列主键
     * @return 短信队列
     */
    public SrsMsgQueue selectSrsMsgQueueById(Long id);

    /**
     * 查询短信队列列表
     * 
     * @param srsMsgQueue 短信队列
     * @return 短信队列集合
     */
    public List<SrsMsgQueue> selectSrsMsgQueueList(SrsMsgQueue srsMsgQueue);

    /**
     * 新增短信队列
     * 
     * @param srsMsgQueue 短信队列
     * @return 结果
     */
    public int insertSrsMsgQueue(SrsMsgQueue srsMsgQueue);

    /**
     * 修改短信队列
     * 
     * @param srsMsgQueue 短信队列
     * @return 结果
     */
    public int updateSrsMsgQueue(SrsMsgQueue srsMsgQueue);

    /**
     * 删除短信队列
     * 
     * @param id 短信队列主键
     * @return 结果
     */
    public int deleteSrsMsgQueueById(Long id);

    /**
     * 批量删除短信队列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsMsgQueueByIds(Long[] ids);
}
