package com.srs.stureg.service;

import java.util.List;
import com.srs.stureg.domain.ArrivalInformation;

/**
 * 到站信息登记Service接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface IArrivalInformationService 
{
    /**
     * 查询到站信息登记
     * 
     * @param arriveId 到站信息登记主键
     * @return 到站信息登记
     */
    public ArrivalInformation selectArrivalInformationByArriveId(Long arriveId);

    /**
     * 查询到站信息登记列表
     * 
     * @param arrivalInformation 到站信息登记
     * @return 到站信息登记集合
     */
    public List<ArrivalInformation> selectArrivalInformationList(ArrivalInformation arrivalInformation);

    /**
     * 新增到站信息登记
     * 
     * @param arrivalInformation 到站信息登记
     * @return 结果
     */
    public int insertArrivalInformation(ArrivalInformation arrivalInformation);

    /**
     * 修改到站信息登记
     * 
     * @param arrivalInformation 到站信息登记
     * @return 结果
     */
    public int updateArrivalInformation(ArrivalInformation arrivalInformation);

    /**
     * 批量删除到站信息登记
     * 
     * @param arriveIds 需要删除的到站信息登记主键集合
     * @return 结果
     */
    public int deleteArrivalInformationByArriveIds(Long[] arriveIds);

    /**
     * 删除到站信息登记信息
     * 
     * @param arriveId 到站信息登记主键
     * @return 结果
     */
    public int deleteArrivalInformationByArriveId(Long arriveId);
}
