package com.srs.stureg.service;

import java.util.List;

import com.srs.common.core.domain.entity.SysUser;
import com.srs.stureg.domain.SrsRegInfo;

/**
 * 注册信息
Service接口
 * 
 * @author srs
 * @date 2023-05-19
 */
public interface ISrsRegInfoService 
{

    /**
     * 查询注册信息

     * 
     * @param registerId 注册信息
主键
     * @return 注册信息

     */
    public SrsRegInfo selectSrsRegInfoByRegisterId(Long registerId);

    /**
     * 查询注册信息
列表
     * 
     * @param srsRegInfo 注册信息

     * @return 注册信息
集合
     */
    public List<SrsRegInfo> selectSrsRegInfoList(SrsRegInfo srsRegInfo);

    /**
     * 新增注册信息

     * 
     * @param srsRegInfo 注册信息

     * @return 结果
     */
    public int insertSrsRegInfo(SrsRegInfo srsRegInfo);

    /**
     * 修改注册信息

     * 
     * @param srsRegInfo 注册信息

     * @return 结果
     */
    public int updateSrsRegInfo(SrsRegInfo srsRegInfo);

    /**
     * 批量删除注册信息

     * 
     * @param registerIds 需要删除的注册信息
主键集合
     * @return 结果
     */
    public int deleteSrsRegInfoByRegisterIds(Long[] registerIds);

    /**
     * 删除注册信息
信息
     * 
     * @param registerId 注册信息
主键
     * @return 结果
     */
    public int deleteSrsRegInfoByRegisterId(Long registerId);

    /**
     * 导入数据
     * @param srsRegInfo
     * @return
     */
    public String importRegUser(List<SrsRegInfo> srsRegInfo);

    public boolean faceVetify(String pathSource,String pathLogin);
}
