package com.srs.survey.mapper;

import java.util.List;

import com.srs.survey.domain.SurSurvey;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学工去向调查发布	Mapper接口
 *
 * @author srs
 * @date 2025-03-13
 */
public interface SurSurveyMapper extends BaseMapper<SurSurvey> {
    /**
     * 查询学工去向调查发布	
     *
     * @param surveyId 学工去向调查发布	主键
     * @return 学工去向调查发布	
     */
    public SurSurvey selectSurSurveyBySurveyId(Long surveyId);

    /**
     * 查询学工去向调查发布	列表
     *
     * @param surSurvey 学工去向调查发布	
     * @return 学工去向调查发布	集合
     */
    List<SurSurvey> selectSurSurveyList(SurSurvey surSurvey);

    /**
     * 新增学工去向调查发布	
     *
     * @param surSurvey 学工去向调查发布	
     * @return 结果
     */
    int insertSurSurvey(SurSurvey surSurvey);

    /**
     * 修改学工去向调查发布	
     *
     * @param surSurvey 学工去向调查发布	
     * @return 结果
     */
    int updateSurSurvey(SurSurvey surSurvey);

    /**
     * 删除学工去向调查发布	
     *
     * @param surveyId 学工去向调查发布	主键
     * @return 结果
     */
    int deleteSurSurveyBySurveyId(Long surveyId);

    /**
     * 批量删除学工去向调查发布	
     *
     * @param surveyIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSurSurveyBySurveyIds(Long[] surveyIds);
}
