package com.srs.system.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 教职工信息对象 qgzx_teacher
 *
 * @author srs
 * @date 2025-07-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "QgzxTeacher对象" , description = "教职工信息表")
@TableName("qgzx_teacher")
public class QgzxTeacher extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    private Long teacherId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("name")
    @Excel(name = "姓名")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    private String gender;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    @TableField("age")
    @Excel(name = "年龄")
    private Long age;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    @TableField("employee_id")
    @Excel(name = "工号")
    private String employeeId;

    /**
     * 学院id
     */
    @ApiModelProperty("学院id")
    @TableField("dept_id")
    @Excel(name = "学院id")
    private Long deptId;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("phone_number")
    @Excel(name = "联系电话")
    private String phoneNumber;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    @ApiModelProperty("学院")
    @TableField("dept_name=false")
    @Excel(name = "学院")
    private String deptName;


}
