package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合测试-第二课堂及格人数对象 sys_performance_pass
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformancePass对象" , description = "第二课堂及格人数")
@TableName("sys_performance_pass")
public class SysPerformancePass extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 第二课堂及格人数id
     */
    @ApiModelProperty("第二课堂及格人数id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 所带学生第二课堂合格人数
     */
    @ApiModelProperty("所带学生第二课堂合格人数")
    @TableField("passs")
    @Excel(name = "所带学生第二课堂合格人数")
    private String passs;

    /**
     * 填写年份
     */
    @ApiModelProperty("填写年份")
    @TableField("years")
    @Excel(name = "填写年份")
    private String years;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;


        }
