package com.srs.teacher.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合素质-承担任务对象 sys_performance_rw
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformanceRw对象" , description = "综合素质-承担任务")
@TableName("sys_performance_rw")
public class SysPerformanceRw extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 工作任务id
     */
    @ApiModelProperty("工作任务id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 活动类型
     */
    @ApiModelProperty("活动类型")
    @TableField("rw_type")
    @Excel(name = "活动类型")
    private String rwType;

    /**
     * 时间
     */
    @ApiModelProperty("时间")
    @TableField("rw_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rwTime;

    /**
     * 地点

     */
    @ApiModelProperty("地点")
    @TableField("rw_place")
    @Excel(name = "地点")
    private String rwPlace;

    /**
     * 参与领导
     */
    @ApiModelProperty("参与领导")
    @TableField("rw_participate")
    @Excel(name = "参与领导")
    private String rwParticipate;

    /**
     * 工作人员
     */
    @ApiModelProperty("工作人员")
    @TableField("rw_people")
    @Excel(name = "工作人员")
    private String rwPeople;

    /**
     * 活动主题
     */
    @ApiModelProperty("活动主题")
    @TableField("rw_theme")
    @Excel(name = "活动主题")
    private String rwTheme;

    /**
     * 完成情况
     */
    @ApiModelProperty("完成情况")
    @TableField("rw_situation")
    @Excel(name = "完成情况")
    private String rwSituation;

    /**
     * 参与学生
     */
    @ApiModelProperty("参与学生 ")
    @TableField("rw_stu")
    @Excel(name = "参与学生")
    private String rwStu;

    /**
     * 分配比例
     */
    @ApiModelProperty("分配比例")
    @TableField("rw_proportion")
    @Excel(name = "分配比例")
    private String rwProportion;

    /**
     * 文件
     */
    @ApiModelProperty("文件")
    @TableField("rw_file")
    @Excel(name = "文件")
    private String rwFile;

    /**
     * 新闻
     */
    @ApiModelProperty("新闻")
    @TableField("rw_news")
    @Excel(name = "新闻")
    private String rwNews;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("rw_picture")
    @Excel(name = "照片")
    private String rwPicture;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @TableField("years")
    @Excel(name = "年份")
    private String years;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;


        }
