package com.srs.teacher.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合绩效-担任职务对象 sys_performance_serving
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformanceServing对象" , description = "综合绩效-担任职务")
@TableName("sys_performance_serving")
public class SysPerformanceServing extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 担任职务id
     */
    @ApiModelProperty("担任职务id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 职务
     */
    @ApiModelProperty("职务")
    @TableField("serving_post")
    @Excel(name = "职务")
    private String servingPost;

    /**
     * 担任时间

     */
    @ApiModelProperty("担任时间")
    @TableField("serving_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "担任时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date servingTime;

    /**
     * 图片上传
     */
    @ApiModelProperty("图片上传")
    @TableField("serving_file")
    @Excel(name = "图片上传")
    private String servingFile;

    /**
     * 任职人
     */
    @ApiModelProperty("任职人")
    @TableField("appointment")
    @Excel(name = "任职人")
    private String appointment;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @TableField("years")
    @Excel(name = "年份")
    private String years;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;


        }
