package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合测试-最大奖励对象 sys_performance_task
 *
 * @author srs
 * @date 2024-06-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformanceTask对象" , description = "综合绩效-最大奖励")
@TableName("sys_performance_task")
public class SysPerformanceTask extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 重大任务奖励id
     */
    @ApiModelProperty("重大任务奖励id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务描述
     */
    @ApiModelProperty("任务描述")
    @TableField("task_describe")
    @Excel(name = "任务描述")
    private String taskDescribe;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("task_start")
    @Excel(name = "开始时间")
    private String taskStart;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("task_end")
    @Excel(name = "结束时间")
    private String taskEnd;

    /**
     * 奖励人
     */
    @ApiModelProperty("奖励人")
    @TableField("prizes")
    @Excel(name = "奖励人")
    private String prizes;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @TableField("years")
    @Excel(name = "年份")
    private String years;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;


        }
