package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * appraise对象 sys_teacher_appraise
 *
 * @author srs
 * @date 2024-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherAppraise对象" , description = "辅导员考核评价")
@TableName("sys_teacher_appraise")
public class SysTeacherAppraise extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 考核年度ID
     */
    @ApiModelProperty("考核年度ID")
    @TableField("appraise_id")
    private Long appraiseId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 考核年度
     */
    @ApiModelProperty("考核年度")
    @TableField("year")
    @Excel(name = "考核年度")
    private String year;

    /**
     * 学校年度考核结果
     */
    @ApiModelProperty("学校年度考核结果")
    @TableField("result")
    @Excel(name = "学校年度考核结果")
    private String result;


        }
