package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * exercise对象 sys_teacher_exercise
 *
 * @author srs
 * @date 2024-06-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherExercise对象" , description = "辅导员岗位锻炼")
@TableName("sys_teacher_exercise")
public class SysTeacherExercise extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 岗位锻炼ID
     */
    @ApiModelProperty("岗位锻炼ID")
    @TableField("exercise_id")
    private Long exerciseId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 组织单位
     */
    @ApiModelProperty("组织单位")
    @TableField("organization")
    @Excel(name = "组织单位")
    private String organization;

    /**
     * 接收单位
     */
    @ApiModelProperty("接收单位")
    @TableField("receivingUnit")
    @Excel(name = "接收单位")
    private String receivingUnit;

    /**
     * 接收类型
     */
    @ApiModelProperty("接收类型")
    @TableField("receivingType")
    @Excel(name = "接收类型")
    private String receivingType;

    /**
     * 锻炼性质
     */
    @ApiModelProperty("锻炼性质")
    @TableField("exerciseNature")
    @Excel(name = "锻炼性质")
    private String exerciseNature;

    /**
     * 岗位名称
     */
    @ApiModelProperty("岗位名称")
    @TableField("postName")
    @Excel(name = "岗位名称")
    private String postName;

    /**
     * 起始时间
     */
    @ApiModelProperty("起始时间")
    @TableField("startTime")
    @Excel(name = "起始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("endTime")
    @Excel(name = "结束时间")
    private String endTime;


        }
