package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * guidance对象 sys_teacher_guidance
 *
 * @author srs
 * @date 2024-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherGuidance对象" , description = "辅导员指导参赛")
@TableName("sys_teacher_guidance")
public class SysTeacherGuidance extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 指导参赛ID
     */
    @ApiModelProperty("指导参赛ID")
    @TableField("guidance_id")
    private Long guidanceId;

    @Excel(name = "序号",needMerge = true)
    private int sortId;
    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "工号",needMerge = true)
    private Long teacherId;

    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;

    /**
     * 作品名称
     */
    @ApiModelProperty("作品名称")
    @TableField("name")
    @Excel(name = "作品名称")
    private String name;

    /**
     * 比赛项目
     */
    @ApiModelProperty("比赛项目")
    @TableField("project")
    @Excel(name = "比赛项目")
    private String project;

    /**
     * 获奖等级
     */
    @ApiModelProperty("获奖等级")
    @TableField("awardLevel")
    @Excel(name = "获奖等级")
    private String awardLevel;

    /**
     * 发证单位
     */
    @ApiModelProperty("发证单位")
    @TableField("proofunit")
    @Excel(name = "发证单位")
    private String proofunit;

    /**
     * 级别
     */
    @ApiModelProperty("级别")
    @TableField("level")
    @Excel(name = "级别")
    private String level;

    /**
     * 获奖时间
     */
    @ApiModelProperty("获奖时间")
    @TableField("awardTime")
    @Excel(name = "获奖时间")
    private String awardTime;

    /**
     * 参赛者
     */
    @ApiModelProperty("参赛者")
    @TableField("participants")
    @Excel(name = "参赛者")
    private String participants;

    /**
     * 获奖年度
     */
    @ApiModelProperty("获奖年度")
    @TableField("year")
    @Excel(name = "获奖年度")
    private String year;

    /**
     * 证书
     */
    @ApiModelProperty("证书")
    @TableField("certificate")
    @Excel(name = "证书",width = 20)
    private String certificate;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    private String college;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 提交年度
     */
    @ApiModelProperty("提交年度")
    @TableField("submitYear")
    private String submitYear;


        }
