package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * honor对象 sys_teacher_honor
 *
 * @author srs
 * @date 2024-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherHonor对象" , description = "辅导员个人荣誉")
@TableName("sys_teacher_honor")
public class SysTeacherHonor extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 个人荣誉ID
     */
    @ApiModelProperty("个人荣誉ID")
    @TableField("honor_id")
    private Long honorId;

    @Excel(name = "序号",needMerge = true)
    private int sortId;
    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "工号",needMerge = true)
    private Long teacherId;

    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;

    /**
     * 奖项名称
     */
    @ApiModelProperty("奖项名称")
    @TableField("name")
    @Excel(name = "奖项名称")
    private String name;

    /**
     * 发证单位
     */
    @ApiModelProperty("发证单位")
    @TableField("proofunit")
    @Excel(name = "发证单位")
    private String proofunit;

    /**
     * 级别
     */
    @ApiModelProperty("级别")
    @TableField("level")
    @Excel(name = "级别")
    private String level;

    /**
     * 获奖时间
     */
    @ApiModelProperty("获奖时间")
    @TableField("awardTime")
    @Excel(name = "获奖时间")
    private String awardTime;

    /**
     * 获奖人
     */
    @ApiModelProperty("获奖人")
    @TableField("awardPerson")
    @Excel(name = "获奖人")
    private String awardPerson;

    /**
     * 获奖年度
     */
    @ApiModelProperty("获奖年度")
    @TableField("year")
    @Excel(name = "获奖年度")
    private String year;

    /**
     * 证书
     */
    @ApiModelProperty("证书")
    @TableField("certificate")
    @Excel(name = "证书",width = 20)
    private String certificate;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    private String college;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 提交年度
     */
    @ApiModelProperty("提交年度")
    @TableField("submitYear")
    private String submitYear;


        }
