package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * 业绩考核-个人填报-负面清单对象 sys_teacher_kpi_filling_negative_list
 *
 * @author chc
 * @date 2024-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingNegativeList对象", description = "业绩考核-个人填报-负面清单")
@TableName("sys_teacher_kpi_filling_negative_list")
public class SysTeacherKpiFillingNegativeList extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 负面清单id
     */
    @ApiModelProperty("负面清单id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否违反职业道德与行为规范
     */
    @ApiModelProperty("是否违反职业道德与行为规范 0否 1是")
    @TableField("morality_and_behavior")
    @Excel(name = "是否违反职业道德与行为规范")
    private Long moralityAndBehavior;

    /**
     * 是否违背国家相关法律法规言论
     */
    @ApiModelProperty("是否违背国家相关法律法规言论 0否 1是")
    @TableField("speech")
    @Excel(name = "是否违背国家相关法律法规言论")
    private Long speech;

    /**
     * 学生评价极差，书记、校长信箱投诉
     */
    @ApiModelProperty("是否因学生评价极差，书记、校长信箱投诉 0否 1是")
    @TableField("complaint")
    @Excel(name = "学生评价极差，书记、校长信箱投诉")
    private Long complaint;

    /**
     * 因疏于教育、管理导致学生发生违纪违法
     */
    @ApiModelProperty("是否因疏于教育、管理导致学生发生违纪违法 0否 1是")
    @TableField("offense")
    @Excel(name = "因疏于教育、管理导致学生发生违纪违法")
    private Long offense;

    /**
     * 学生发生突发事件，未能及时到场处理
     */
    @ApiModelProperty("是否因学生发生突发事件，未能及时到场处理 0否 1是")
    @TableField("emergency")
    @Excel(name = "学生发生突发事件，未能及时到场处理")
    private Long emergency;

    /**
     * 受到党纪、政纪处分
     */
    @ApiModelProperty("是否受到党纪、政纪处分 0否 1是")
    @TableField("punishment")
    @Excel(name = "受到党纪、政纪处分")
    private Long punishment;

    /**
     * 在开展评优评奖等工作中弄虚作假的
     */
    @ApiModelProperty("是否在开展评优评奖等工作中弄虚作假的 0否 1是")
    @TableField("practice_fraud")
    @Excel(name = "在开展评优评奖等工作中弄虚作假的")
    private Long practiceFraud;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    @NotNull(message = "填报月份不能为空")
    private String fillingMonth;


}
