package com.srs.teacher.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * 业绩考核-个人填报-处理学生突发事件对象 sys_teacher_kpi_filling_stu_emergency
 *
 * @author chc
 * @date 2024-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingStuEmergency对象", description = "业绩考核-个人填报-处理学生突发事件")
@TableName("sys_teacher_kpi_filling_stu_emergency")
public class SysTeacherKpiFillingStuEmergency extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 学生突发事件id
     */
    @ApiModelProperty("学生突发事件id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事件描述
     */
    @ApiModelProperty("事件描述")
    @TableField("event_description")
    @Excel(name = "事件描述")
    private String eventDescription;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束事件
     */
    @ApiModelProperty("结束时间")
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束事件", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 事件等级
     */
    @ApiModelProperty("事件等级 0一般事件 1重大事件")
    @TableField("event_level")
    @Excel(name = "事件等级")
    private Long eventLevel;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    @NotNull(message = "填报月份不能为空")
    private String fillingMonth;


}
