package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * study对象 sys_teacher_study
 *
 * @author srs
 * @date 2024-05-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherStudy对象" , description = "辅导员学业成长")
@TableName("sys_teacher_study")
public class SysTeacherStudy extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 学业信息ID
     */
    @ApiModelProperty("学业信息ID")
    @TableField("study_id")
    private Long studyId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 毕业院校
     */
    @ApiModelProperty("毕业院校")
    @TableField("educated")
    @Excel(name = "毕业院校")
    private String educated;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("study")
    @Excel(name = "专业")
    private String study;

    /**
     * 毕业时间
     */
    @ApiModelProperty("毕业时间")
    @TableField("graduationTime")
    @Excel(name = "毕业时间")
    private String graduationTime;

    /**
     * 学位
     */
    @ApiModelProperty("学位")
    @TableField("education")
    @Excel(name = "学位")
    private String education;

    /**
     * 学位授予时间
     */
    @ApiModelProperty("学位授予时间")
    @TableField("educationTime")
    @Excel(name = "学位授予时间")
    private String educationTime;


        }
