package com.srs.teacher.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("业绩考核-个人填报数据对象")
public class SysTeacherKpiFillingDto {
    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "序号", required = true)
    @Excel(name = "序号", height = 20)
    private String serialNumber;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("工号")
    @Excel(name = "工号", height = 20)
    private String jobNumber;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "姓名", required = true)
    @Excel(name = "姓名", height = 20)
    private String fdyName;

    /**
     * 学院
     */
    @ApiModelProperty(value = "学院", required = true)
    @Excel(name = "学院", height = 20)
    private String departmentName;

    /**
     * 最终评级
     */
    @ApiModelProperty("评级结果")
    @Excel(name = "评级结果", height = 20)
    private String finalRating;



    @ApiModelProperty("值班天数")
    @Excel(name = "值班天数", height = 20)
    private int dayDuty;

    @ApiModelProperty("处理学生突发事件")
    @Excel(name = "处理学生突发事件", width = 30, height = 20)
    private String eventLevel;
}
