package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysPerformanceActive;
import com.srs.teacher.domain.SysPerformancePass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 综合测试-第二课堂及格人数Mapper接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface SysPerformancePassMapper extends BaseMapper<SysPerformancePass> {
    /**
     * 查询综合测试-第二课堂及格人数
     *
     * @param id 综合测试-第二课堂及格人数主键
     * @return 综合测试-第二课堂及格人数
     */
    public SysPerformancePass selectSysPerformancePassById(Long id);

    /**
     * 查询综合测试-第二课堂及格人数
     *
     * @param fdName 综合测试-第二课堂及格人数主键
     * @return 综合绩效-辅导员工作室集合
     */
    public SysPerformancePass selectSysPerformancePassByFdyName(@Param("fdName") String fdName, @Param("years") String years);

    /**
     * 查询综合测试-第二课堂及格人数列表
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 综合测试-第二课堂及格人数集合
     */
    List<SysPerformancePass> selectSysPerformancePassList(SysPerformancePass sysPerformancePass);

    /**
     * 新增综合测试-第二课堂及格人数
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 结果
     */
    int insertSysPerformancePass(SysPerformancePass sysPerformancePass);

    /**
     * 修改综合测试-第二课堂及格人数
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 结果
     */
    int updateSysPerformancePass(SysPerformancePass sysPerformancePass);

    /**
     * 删除综合测试-第二课堂及格人数
     *
     * @param id 综合测试-第二课堂及格人数主键
     * @return 结果
     */
    int deleteSysPerformancePassById(Long id);

    /**
     * 批量删除综合测试-第二课堂及格人数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPerformancePassByIds(Long[] ids);
}
