package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherAchievementcheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * achievementcheckMapper接口
 *
 * @author srs
 * @date 2024-06-26
 */
public interface SysTeacherAchievementcheckMapper extends BaseMapper<SysTeacherAchievementcheck> {
    /**
     * 查询achievementcheck
     *
     * @param checkId achievementcheck主键
     * @return achievementcheck
     */
    public SysTeacherAchievementcheck selectSysTeacherAchievementcheckByCheckId(Long checkId);

    /**
     * 查询achievementcheck列表
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return achievementcheck集合
     */
    List<SysTeacherAchievementcheck> selectSysTeacherAchievementcheckList(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 新增achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    int insertSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 修改achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    int updateSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 删除achievementcheck
     *
     * @param checkId achievementcheck主键
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByCheckId(Long checkId);
    /**
     * 删除achievementcheck
     *
     * @param teacherId achievementcheck主键
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByteacherId(Long teacherId);

    /**
     * 批量删除achievementcheck
     *
     * @param checkIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByCheckIds(Long[] checkIds);
}
