package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherBasicmessage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.teacher.domain.SysTeacherTakeclass;

/**
 * basicMessageMapper接口
 *
 * @author srs
 * @date 2024-06-07
 */
public interface SysTeacherBasicmessageMapper extends BaseMapper<SysTeacherBasicmessage> {
    /**
     * 查询basicMessage
     *
     * @param teacherId basicMessage主键
     * @return basicMessage
     */
    public SysTeacherBasicmessage selectSysTeacherBasicmessageByTeacherId(Long teacherId);

    /**
     * 查询basicMessage列表
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return basicMessage集合
     */
    List<SysTeacherBasicmessage> selectSysTeacherBasicmessageList(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 新增basicMessage
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return 结果
     */
    int insertSysTeacherBasicmessage(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 修改basicMessage
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return 结果
     */
    int updateSysTeacherBasicmessage(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 删除basicMessage
     *
     * @param teacherId basicMessage主键
     * @return 结果
     */
    int deleteSysTeacherBasicmessageByTeacherId(Long teacherId);

    /**
     * 批量删除basicMessage
     *
     * @param teacherIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherBasicmessageByTeacherIds(Long[] teacherIds);

        /**
         * 批量删除takeClass
         *
         * @param teacherIds 需要删除的数据主键集合
         * @return 结果
         */
        int deleteSysTeacherTakeclassByTeacherIds(Long[] teacherIds);

        /**
         * 批量新增takeClass
         *
         * @param sysTeacherTakeclassList takeClass列表
         * @return 结果
         */
        int batchSysTeacherTakeclass(List<SysTeacherTakeclass> sysTeacherTakeclassList);


        /**
         * 通过basicMessage主键删除takeClass信息
         *
         * @param teacherId basicMessageID
         * @return 结果
         */
        int deleteSysTeacherTakeclassByTeacherId(Long teacherId);
}
