package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherCadreMeetingMaterials;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.teacher.domain.SysTeacherKpiFilling;
import org.apache.ibatis.annotations.Param;

/**
 * 团干部会议佐证材料Mapper接口
 *
 * @author chc
 * @date 2024-06-05
 */
public interface SysTeacherCadreMeetingMaterialsMapper extends BaseMapper<SysTeacherCadreMeetingMaterials> {
    /**
     * 查询团干部会议佐证材料
     *
     * @param id 团干部会议佐证材料主键
     * @return 团干部会议佐证材料
     */
    public SysTeacherCadreMeetingMaterials selectSysTeacherCadreMeetingMaterialsById(Long id);

    /**
     * 根据辅导员名称、年份 月份 查询业绩考核-个人填报
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报
     */
    public List<SysTeacherCadreMeetingMaterials> selectSysTeacherCadreMeetingMaterialsByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 查询团干部会议佐证材料列表
     *
     * @param sysTeacherCadreMeetingMaterials 团干部会议佐证材料
     * @return 团干部会议佐证材料集合
     */
    List<SysTeacherCadreMeetingMaterials> selectSysTeacherCadreMeetingMaterialsList(SysTeacherCadreMeetingMaterials sysTeacherCadreMeetingMaterials);

    /**
     * 新增团干部会议佐证材料
     *
     * @param sysTeacherCadreMeetingMaterials 团干部会议佐证材料
     * @return 结果
     */
    int insertSysTeacherCadreMeetingMaterials(SysTeacherCadreMeetingMaterials sysTeacherCadreMeetingMaterials);

    /**
     * 修改团干部会议佐证材料
     *
     * @param sysTeacherCadreMeetingMaterials 团干部会议佐证材料
     * @return 结果
     */
    int updateSysTeacherCadreMeetingMaterials(SysTeacherCadreMeetingMaterials sysTeacherCadreMeetingMaterials);

    /**
     * 删除团干部会议佐证材料
     *
     * @param id 团干部会议佐证材料主键
     * @return 结果
     */
    int deleteSysTeacherCadreMeetingMaterialsById(Long id);

    /**
     * 批量删除团干部会议佐证材料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherCadreMeetingMaterialsByIds(Long[] ids);
}
