package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherCadreMeetingMaterials;
import com.srs.teacher.domain.SysTeacherClassMeetingMaterials;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 班会佐证材料Mapper接口
 *
 * @author chc
 * @date 2024-06-05
 */
public interface SysTeacherClassMeetingMaterialsMapper extends BaseMapper<SysTeacherClassMeetingMaterials> {
    /**
     * 查询班会佐证材料
     *
     * @param id 班会佐证材料主键
     * @return 班会佐证材料
     */
    public SysTeacherClassMeetingMaterials selectSysTeacherClassMeetingMaterialsById(Long id);

    /**
     * 根据辅导员名称、年份 月份 查询业绩考核-个人填报
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报
     */
    public List<SysTeacherClassMeetingMaterials> selectSysTeacherClassMeetingMaterialsByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 查询班会佐证材料列表
     *
     * @param sysTeacherClassMeetingMaterials 班会佐证材料
     * @return 班会佐证材料集合
     */
    List<SysTeacherClassMeetingMaterials> selectSysTeacherClassMeetingMaterialsList(SysTeacherClassMeetingMaterials sysTeacherClassMeetingMaterials);

    /**
     * 新增班会佐证材料
     *
     * @param sysTeacherClassMeetingMaterials 班会佐证材料
     * @return 结果
     */
    int insertSysTeacherClassMeetingMaterials(SysTeacherClassMeetingMaterials sysTeacherClassMeetingMaterials);

    /**
     * 修改班会佐证材料
     *
     * @param sysTeacherClassMeetingMaterials 班会佐证材料
     * @return 结果
     */
    int updateSysTeacherClassMeetingMaterials(SysTeacherClassMeetingMaterials sysTeacherClassMeetingMaterials);

    /**
     * 删除班会佐证材料
     *
     * @param id 班会佐证材料主键
     * @return 结果
     */
    int deleteSysTeacherClassMeetingMaterialsById(Long id);

    /**
     * 批量删除班会佐证材料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherClassMeetingMaterialsByIds(Long[] ids);
}
