package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherClassMeetingMaterials;
import com.srs.teacher.domain.SysTeacherConferenceMeetingMaterials;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报-考勤管理-会议佐证材料Mapper接口
 *
 * @author chc
 * @date 2024-06-11
 */
public interface SysTeacherConferenceMeetingMaterialsMapper extends BaseMapper<SysTeacherConferenceMeetingMaterials> {
    /**
     * 查询业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param id 业绩考核-个人填报-考勤管理-会议佐证材料主键
     * @return 业绩考核-个人填报-考勤管理-会议佐证材料
     */
    public SysTeacherConferenceMeetingMaterials selectSysTeacherConferenceMeetingMaterialsById(Long id);

    /**
     * 根据辅导员名称、年份 月份 查询业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报-考勤管理-会议佐证材料
     */
    public List<SysTeacherConferenceMeetingMaterials> selectSysTeacherConferenceMeetingMaterialsByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 查询业绩考核-个人填报-考勤管理-会议佐证材料列表
     *
     * @param sysTeacherConferenceMeetingMaterials 业绩考核-个人填报-考勤管理-会议佐证材料
     * @return 业绩考核-个人填报-考勤管理-会议佐证材料集合
     */
    List<SysTeacherConferenceMeetingMaterials> selectSysTeacherConferenceMeetingMaterialsList(SysTeacherConferenceMeetingMaterials sysTeacherConferenceMeetingMaterials);

    /**
     * 新增业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param sysTeacherConferenceMeetingMaterials 业绩考核-个人填报-考勤管理-会议佐证材料
     * @return 结果
     */
    int insertSysTeacherConferenceMeetingMaterials(SysTeacherConferenceMeetingMaterials sysTeacherConferenceMeetingMaterials);

    /**
     * 修改业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param sysTeacherConferenceMeetingMaterials 业绩考核-个人填报-考勤管理-会议佐证材料
     * @return 结果
     */
    int updateSysTeacherConferenceMeetingMaterials(SysTeacherConferenceMeetingMaterials sysTeacherConferenceMeetingMaterials);

    /**
     * 删除业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param id 业绩考核-个人填报-考勤管理-会议佐证材料主键
     * @return 结果
     */
    int deleteSysTeacherConferenceMeetingMaterialsById(Long id);

    /**
     * 批量删除业绩考核-个人填报-考勤管理-会议佐证材料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherConferenceMeetingMaterialsByIds(Long[] ids);
}
