package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherContest;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * contestMapper接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface SysTeacherContestMapper extends BaseMapper<SysTeacherContest> {
    /**
     * 查询contest
     *
     * @param contestId contest主键
     * @return contest
     */
    public SysTeacherContest selectSysTeacherContestByContestId(Long contestId);

    /**
     * 查询contest列表
     *
     * @param sysTeacherContest contest
     * @return contest集合
     */
    List<SysTeacherContest> selectSysTeacherContestList(SysTeacherContest sysTeacherContest);

    /**
     * 新增contest
     *
     * @param sysTeacherContest contest
     * @return 结果
     */
    int insertSysTeacherContest(SysTeacherContest sysTeacherContest);

    /**
     * 修改contest
     *
     * @param sysTeacherContest contest
     * @return 结果
     */
    int updateSysTeacherContest(SysTeacherContest sysTeacherContest);

    /**
     * 删除contest
     *
     * @param contestId contest主键
     * @return 结果
     */
    int deleteSysTeacherContestByContestId(Long contestId);

    /**
     * 批量删除contest
     *
     * @param contestIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherContestByContestIds(Long[] contestIds);
}
