package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherHonor;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * honorMapper接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface SysTeacherHonorMapper extends BaseMapper<SysTeacherHonor> {
    /**
     * 查询honor
     *
     * @param honorId honor主键
     * @return honor
     */
    public SysTeacherHonor selectSysTeacherHonorByHonorId(Long honorId);

    /**
     * 查询honor列表
     *
     * @param sysTeacherHonor honor
     * @return honor集合
     */
    List<SysTeacherHonor> selectSysTeacherHonorList(SysTeacherHonor sysTeacherHonor);

    /**
     * 新增honor
     *
     * @param sysTeacherHonor honor
     * @return 结果
     */
    int insertSysTeacherHonor(SysTeacherHonor sysTeacherHonor);

    /**
     * 修改honor
     *
     * @param sysTeacherHonor honor
     * @return 结果
     */
    int updateSysTeacherHonor(SysTeacherHonor sysTeacherHonor);

    /**
     * 删除honor
     *
     * @param honorId honor主键
     * @return 结果
     */
    int deleteSysTeacherHonorByHonorId(Long honorId);

    /**
     * 批量删除honor
     *
     * @param honorIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherHonorByHonorIds(Long[] honorIds);
}
