package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherStuTalkMaterials;
import com.srs.teacher.domain.SysTeacherVisitDormitoryMaterials;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 每周深入学生宿舍佐证材料Mapper接口
 *
 * @author chc
 * @date 2024-06-05
 */
public interface SysTeacherVisitDormitoryMaterialsMapper extends BaseMapper<SysTeacherVisitDormitoryMaterials> {
    /**
     * 查询每周深入学生宿舍佐证材料
     *
     * @param id 每周深入学生宿舍佐证材料主键
     * @return 每周深入学生宿舍佐证材料
     */
    public SysTeacherVisitDormitoryMaterials selectSysTeacherVisitDormitoryMaterialsById(Long id);

    /**
     * 查询每周深入学生宿舍佐证材料列表
     *
     * @param sysTeacherVisitDormitoryMaterials 每周深入学生宿舍佐证材料
     * @return 每周深入学生宿舍佐证材料集合
     */
    List<SysTeacherVisitDormitoryMaterials> selectSysTeacherVisitDormitoryMaterialsList(SysTeacherVisitDormitoryMaterials sysTeacherVisitDormitoryMaterials);

    /**
     * 查根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 辅导员名称
     * @return 每周深入学生宿舍佐证材料集合
     */
    List<SysTeacherVisitDormitoryMaterials> selectSysTeacherVisitDormitoryMaterialsByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);


    /**
     * 新增每周深入学生宿舍佐证材料
     *
     * @param sysTeacherVisitDormitoryMaterials 每周深入学生宿舍佐证材料
     * @return 结果
     */
    int insertSysTeacherVisitDormitoryMaterials(SysTeacherVisitDormitoryMaterials sysTeacherVisitDormitoryMaterials);

    /**
     * 修改每周深入学生宿舍佐证材料
     *
     * @param sysTeacherVisitDormitoryMaterials 每周深入学生宿舍佐证材料
     * @return 结果
     */
    int updateSysTeacherVisitDormitoryMaterials(SysTeacherVisitDormitoryMaterials sysTeacherVisitDormitoryMaterials);

    /**
     * 删除每周深入学生宿舍佐证材料
     *
     * @param id 每周深入学生宿舍佐证材料主键
     * @return 结果
     */
    int deleteSysTeacherVisitDormitoryMaterialsById(Long id);

    /**
     * 批量删除每周深入学生宿舍佐证材料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherVisitDormitoryMaterialsByIds(Long[] ids);
}
