package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherWorkexample;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * workexampleMapper接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface SysTeacherWorkexampleMapper extends BaseMapper<SysTeacherWorkexample> {
    /**
     * 查询workexample
     *
     * @param workexampleId workexample主键
     * @return workexample
     */
    public SysTeacherWorkexample selectSysTeacherWorkexampleByWorkexampleId(Long workexampleId);

    /**
     * 查询workexample列表
     *
     * @param sysTeacherWorkexample workexample
     * @return workexample集合
     */
    List<SysTeacherWorkexample> selectSysTeacherWorkexampleList(SysTeacherWorkexample sysTeacherWorkexample);

    /**
     * 新增workexample
     *
     * @param sysTeacherWorkexample workexample
     * @return 结果
     */
    int insertSysTeacherWorkexample(SysTeacherWorkexample sysTeacherWorkexample);

    /**
     * 修改workexample
     *
     * @param sysTeacherWorkexample workexample
     * @return 结果
     */
    int updateSysTeacherWorkexample(SysTeacherWorkexample sysTeacherWorkexample);

    /**
     * 删除workexample
     *
     * @param workexampleId workexample主键
     * @return 结果
     */
    int deleteSysTeacherWorkexampleByWorkexampleId(Long workexampleId);

    /**
     * 批量删除workexample
     *
     * @param workexampleIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherWorkexampleByWorkexampleIds(Long[] workexampleIds);
}
