package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherCourse;

/**
 * courseService接口
 *
 * @author srs
 * @date 2024-06-05
 */
public interface ISysTeacherCourseService extends IService<SysTeacherCourse> {
    /**
     * 查询course
     *
     * @param courseId course主键
     * @return course
     */
    public SysTeacherCourse selectSysTeacherCourseByCourseId(Long courseId);

    /**
     * 查询course列表
     *
     * @param sysTeacherCourse course
     * @return course集合
     */
    List<SysTeacherCourse> selectSysTeacherCourseList(SysTeacherCourse sysTeacherCourse);

    /**
     * 新增course
     *
     * @param sysTeacherCourse course
     * @return 结果
     */
    int insertSysTeacherCourse(SysTeacherCourse sysTeacherCourse);

    /**
     * 修改course
     *
     * @param sysTeacherCourse course
     * @return 结果
     */
    int updateSysTeacherCourse(SysTeacherCourse sysTeacherCourse);

    /**
     * 批量删除course
     *
     * @param courseIds 需要删除的course主键集合
     * @return 结果
     */
    int deleteSysTeacherCourseByCourseIds(Long[] courseIds);

    /**
     * 删除course信息
     *
     * @param courseId course主键
     * @return 结果
     */
    int deleteSysTeacherCourseByCourseId(Long courseId);
}
