package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherGuidance;

/**
 * guidanceService接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface ISysTeacherGuidanceService extends IService<SysTeacherGuidance> {
    /**
     * 查询guidance
     *
     * @param guidanceId guidance主键
     * @return guidance
     */
    public SysTeacherGuidance selectSysTeacherGuidanceByGuidanceId(Long guidanceId);

    /**
     * 查询guidance列表
     *
     * @param sysTeacherGuidance guidance
     * @return guidance集合
     */
    List<SysTeacherGuidance> selectSysTeacherGuidanceList(SysTeacherGuidance sysTeacherGuidance);

    /**
     * 新增guidance
     *
     * @param sysTeacherGuidance guidance
     * @return 结果
     */
    int insertSysTeacherGuidance(SysTeacherGuidance sysTeacherGuidance);

    /**
     * 修改guidance
     *
     * @param sysTeacherGuidance guidance
     * @return 结果
     */
    int updateSysTeacherGuidance(SysTeacherGuidance sysTeacherGuidance);

    /**
     * 批量删除guidance
     *
     * @param guidanceIds 需要删除的guidance主键集合
     * @return 结果
     */
    int deleteSysTeacherGuidanceByGuidanceIds(Long[] guidanceIds);

    /**
     * 删除guidance信息
     *
     * @param guidanceId guidance主键
     * @return 结果
     */
    int deleteSysTeacherGuidanceByGuidanceId(Long guidanceId);
}
