package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherKpiFillingStuMgt;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报-学生管理Service接口
 *
 * @author chc
 * @date 2024-06-05
 */
public interface ISysTeacherKpiFillingStuMgtService extends IService<SysTeacherKpiFillingStuMgt> {
    /**
     * 查询业绩考核-个人填报-学生管理
     *
     * @param id 业绩考核-个人填报-学生管理主键
     * @return 业绩考核-个人填报-学生管理
     */
    public SysTeacherKpiFillingStuMgt selectSysTeacherKpiFillingStuMgtById(Long id);

    /**
     * 查根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 业绩考核-个人填报-学生管理
     * @return 业绩考核-个人填报-学生管详细
     */
    SysTeacherKpiFillingStuMgt selectSysTeacherKpiFillingStuMgtByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 查询业绩考核-个人填报-学生管理列表
     *
     * @param sysTeacherKpiFillingStuMgt 业绩考核-个人填报-学生管理
     * @return 业绩考核-个人填报-学生管理集合
     */
    List<SysTeacherKpiFillingStuMgt> selectSysTeacherKpiFillingStuMgtList(SysTeacherKpiFillingStuMgt sysTeacherKpiFillingStuMgt);

    /**
     * 新增业绩考核-个人填报-学生管理
     *
     * @param sysTeacherKpiFillingStuMgt 业绩考核-个人填报-学生管理
     * @return 结果
     */
    int insertSysTeacherKpiFillingStuMgt(SysTeacherKpiFillingStuMgt sysTeacherKpiFillingStuMgt);

    /**
     * 修改业绩考核-个人填报-学生管理
     *
     * @param sysTeacherKpiFillingStuMgt 业绩考核-个人填报-学生管理
     * @return 结果
     */
    int updateSysTeacherKpiFillingStuMgt(SysTeacherKpiFillingStuMgt sysTeacherKpiFillingStuMgt);

    /**
     * 批量删除业绩考核-个人填报-学生管理
     *
     * @param ids 需要删除的业绩考核-个人填报-学生管理主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingStuMgtByIds(Long[] ids);

    /**
     * 删除业绩考核-个人填报-学生管理信息
     *
     * @param id 业绩考核-个人填报-学生管理主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingStuMgtById(Long id);
}
