package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherStuTalkMaterials;
import org.apache.ibatis.annotations.Param;

/**
 * 与带班学生谈心谈话Service接口
 *
 * @author chc
 * @date 2024-06-05
 */
public interface ISysTeacherStuTalkMaterialsService extends IService<SysTeacherStuTalkMaterials> {
    /**
     * 查询与带班学生谈心谈话
     *
     * @param id 与带班学生谈心谈话主键
     * @return 与带班学生谈心谈话
     */
    public SysTeacherStuTalkMaterials selectSysTeacherStuTalkMaterialsById(Long id);

    /**
     * 查询与带班学生谈心谈话列表
     *
     * @param sysTeacherStuTalkMaterials 与带班学生谈心谈话
     * @return 与带班学生谈心谈话集合
     */
    List<SysTeacherStuTalkMaterials> selectSysTeacherStuTalkMaterialsList(SysTeacherStuTalkMaterials sysTeacherStuTalkMaterials);

    /**
     * 查根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 辅导员名称
     * @return 与带班学生谈心谈话集合
     */
    List<SysTeacherStuTalkMaterials> selectSysTeacherStuTalkMaterialsByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);


    /**
     * 新增与带班学生谈心谈话
     *
     * @param sysTeacherStuTalkMaterials 与带班学生谈心谈话
     * @return 结果
     */
    int insertSysTeacherStuTalkMaterials(SysTeacherStuTalkMaterials sysTeacherStuTalkMaterials);

    /**
     * 修改与带班学生谈心谈话
     *
     * @param sysTeacherStuTalkMaterials 与带班学生谈心谈话
     * @return 结果
     */
    int updateSysTeacherStuTalkMaterials(SysTeacherStuTalkMaterials sysTeacherStuTalkMaterials);

    /**
     * 批量删除与带班学生谈心谈话
     *
     * @param ids 需要删除的与带班学生谈心谈话主键集合
     * @return 结果
     */
    int deleteSysTeacherStuTalkMaterialsByIds(Long[] ids);

    /**
     * 删除与带班学生谈心谈话信息
     *
     * @param id 与带班学生谈心谈话主键
     * @return 结果
     */
    int deleteSysTeacherStuTalkMaterialsById(Long id);
}
