package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherAchievementcheckMapper;
import com.srs.teacher.domain.SysTeacherAchievementcheck;
import com.srs.teacher.service.ISysTeacherAchievementcheckService;

/**
 * achievementcheckService业务层处理
 *
 * @author srs
 * @date 2024-06-26
 */
@Service
public class SysTeacherAchievementcheckServiceImpl extends ServiceImpl<SysTeacherAchievementcheckMapper,SysTeacherAchievementcheck> implements ISysTeacherAchievementcheckService {
    @Autowired
    private SysTeacherAchievementcheckMapper sysTeacherAchievementcheckMapper;

    /**
     * 查询achievementcheck
     *
     * @param checkId achievementcheck主键
     * @return achievementcheck
     */
    @Override
    public SysTeacherAchievementcheck selectSysTeacherAchievementcheckByCheckId(Long checkId) {
        return sysTeacherAchievementcheckMapper.selectSysTeacherAchievementcheckByCheckId(checkId);
    }

    /**
     * 查询achievementcheck列表
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return achievementcheck
     */
    @Override
    public List<SysTeacherAchievementcheck> selectSysTeacherAchievementcheckList(SysTeacherAchievementcheck sysTeacherAchievementcheck) {
        return sysTeacherAchievementcheckMapper.selectSysTeacherAchievementcheckList(sysTeacherAchievementcheck);
    }

    /**
     * 新增achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    @Override
    public int insertSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck) {
            return sysTeacherAchievementcheckMapper.insertSysTeacherAchievementcheck(sysTeacherAchievementcheck);
    }

    /**
     * 修改achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    @Override
    public int updateSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck) {
        return sysTeacherAchievementcheckMapper.updateSysTeacherAchievementcheck(sysTeacherAchievementcheck);
    }

    /**
     * 批量删除achievementcheck
     *
     * @param checkIds 需要删除的achievementcheck主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherAchievementcheckByCheckIds(Long[] checkIds) {
        return sysTeacherAchievementcheckMapper.deleteSysTeacherAchievementcheckByCheckIds(checkIds);
    }

    /**
     * 删除achievementcheck信息
     *
     * @param checkId achievementcheck主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherAchievementcheckByCheckId(Long checkId) {
        return sysTeacherAchievementcheckMapper.deleteSysTeacherAchievementcheckByCheckId(checkId);
    }
    /**
     * 删除achievementcheck信息
     *
     * @param teacherId achievementcheck主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherAchievementcheckByteacherId(Long teacherId) {
        return sysTeacherAchievementcheckMapper.deleteSysTeacherAchievementcheckByteacherId(teacherId);
    }
}
