package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherCertificateMapper;
import com.srs.teacher.domain.SysTeacherCertificate;
import com.srs.teacher.service.ISysTeacherCertificateService;

/**
 * certificateService业务层处理
 *
 * @author srs
 * @date 2024-05-30
 */
@Service
public class SysTeacherCertificateServiceImpl extends ServiceImpl<SysTeacherCertificateMapper,SysTeacherCertificate> implements ISysTeacherCertificateService {
    @Autowired
    private SysTeacherCertificateMapper sysTeacherCertificateMapper;

    /**
     * 查询certificate
     *
     * @param certificateId certificate主键
     * @return certificate
     */
    @Override
    public SysTeacherCertificate selectSysTeacherCertificateByCertificateId(Long certificateId) {
        return sysTeacherCertificateMapper.selectSysTeacherCertificateByCertificateId(certificateId);
    }

    /**
     * 查询certificate列表
     *
     * @param sysTeacherCertificate certificate
     * @return certificate
     */
    @Override
    public List<SysTeacherCertificate> selectSysTeacherCertificateList(SysTeacherCertificate sysTeacherCertificate) {
        return sysTeacherCertificateMapper.selectSysTeacherCertificateList(sysTeacherCertificate);
    }

    /**
     * 新增certificate
     *
     * @param sysTeacherCertificate certificate
     * @return 结果
     */
    @Override
    public int insertSysTeacherCertificate(SysTeacherCertificate sysTeacherCertificate) {
            return sysTeacherCertificateMapper.insertSysTeacherCertificate(sysTeacherCertificate);
    }

    /**
     * 修改certificate
     *
     * @param sysTeacherCertificate certificate
     * @return 结果
     */
    @Override
    public int updateSysTeacherCertificate(SysTeacherCertificate sysTeacherCertificate) {
        return sysTeacherCertificateMapper.updateSysTeacherCertificate(sysTeacherCertificate);
    }

    /**
     * 批量删除certificate
     *
     * @param certificateIds 需要删除的certificate主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherCertificateByCertificateIds(Long[] certificateIds) {
        return sysTeacherCertificateMapper.deleteSysTeacherCertificateByCertificateIds(certificateIds);
    }

    /**
     * 删除certificate信息
     *
     * @param certificateId certificate主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherCertificateByCertificateId(Long certificateId) {
        return sysTeacherCertificateMapper.deleteSysTeacherCertificateByCertificateId(certificateId);
    }
}
