package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherResearchMapper;
import com.srs.teacher.domain.SysTeacherResearch;
import com.srs.teacher.service.ISysTeacherResearchService;

/**
 * researchService业务层处理
 *
 * @author srs
 * @date 2024-06-29
 */
@Service
public class SysTeacherResearchServiceImpl extends ServiceImpl<SysTeacherResearchMapper,SysTeacherResearch> implements ISysTeacherResearchService {
    @Autowired
    private SysTeacherResearchMapper sysTeacherResearchMapper;

    /**
     * 查询research
     *
     * @param researchId research主键
     * @return research
     */
    @Override
    public SysTeacherResearch selectSysTeacherResearchByResearchId(Long researchId) {
        return sysTeacherResearchMapper.selectSysTeacherResearchByResearchId(researchId);
    }

    /**
     * 查询research列表
     *
     * @param sysTeacherResearch research
     * @return research
     */
    @Override
    public List<SysTeacherResearch> selectSysTeacherResearchList(SysTeacherResearch sysTeacherResearch) {
        return sysTeacherResearchMapper.selectSysTeacherResearchList(sysTeacherResearch);
    }

    /**
     * 新增research
     *
     * @param sysTeacherResearch research
     * @return 结果
     */
    @Override
    public int insertSysTeacherResearch(SysTeacherResearch sysTeacherResearch) {
            return sysTeacherResearchMapper.insertSysTeacherResearch(sysTeacherResearch);
    }

    /**
     * 修改research
     *
     * @param sysTeacherResearch research
     * @return 结果
     */
    @Override
    public int updateSysTeacherResearch(SysTeacherResearch sysTeacherResearch) {
        return sysTeacherResearchMapper.updateSysTeacherResearch(sysTeacherResearch);
    }

    /**
     * 批量删除research
     *
     * @param researchIds 需要删除的research主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherResearchByResearchIds(Long[] researchIds) {
        return sysTeacherResearchMapper.deleteSysTeacherResearchByResearchIds(researchIds);
    }

    /**
     * 删除research信息
     *
     * @param researchId research主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherResearchByResearchId(Long researchId) {
        return sysTeacherResearchMapper.deleteSysTeacherResearchByResearchId(researchId);
    }
}
