package com.srs.workstudy.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 勤工助学月度考核对象 qgzx_month_assess
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "QgzxMonthAssess对象", description = "勤工助学月度考核")
@TableName("qgzx_month_assess")
public class QgzxMonthAssess {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    @TableField(exist = false)
    public String zdlsNo;

    /**
     * 学生岗位id
     */
    @ApiModelProperty("学生岗位id")
    @TableField("stu_post_id")
    public Long stuPostId;

    @Excel(name = "设岗部门")
    @TableField(exist = false)
    public String deptName;

    @Excel(name = "岗位名称")
    @TableField(exist = false)
    public String postName;

    @Excel(name = "学号")
    @TableField(exist = false)
    public String stuNo;

    @Excel(name = "姓名")
    @TableField(exist = false)
    public String stuName;

    /**
     * 工作考核
     */
    @ApiModelProperty("工作考核")
    @TableField("assess")
    @Excel(name = "工作考核")
    public String assess;

    /**
     * 提交时间
     */
    @ApiModelProperty("填报日期")
    @TableField("submit_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填报日期", width = 30, dateFormat = "yyyy-MM-dd")
    public Date submitTime;

    @Excel(name = "备注")
    @TableField("remark")
    public String remark;

}
