package com.srs.workstudy.mapper;

import java.util.List;

import com.srs.workstudy.domain.QgzxMoneyExtra;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 勤工助学额外薪资Mapper接口
 *
 * @author srs
 * @date 2024-11-10
 */
@Mapper
public interface QgzxMoneyExtraMapper extends BaseMapper<QgzxMoneyExtra> {
    /**
     * 查询勤工助学额外薪资
     *
     * @param id 勤工助学额外薪资主键
     * @return 勤工助学额外薪资
     */
    public QgzxMoneyExtra selectQgzxMoneyExtraById(Long id);

    /**
     * 查询勤工助学额外薪资列表
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 勤工助学额外薪资集合
     */
    List<QgzxMoneyExtra> selectQgzxMoneyExtraList(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 新增勤工助学额外薪资
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 结果
     */
    int insertQgzxMoneyExtra(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 修改勤工助学额外薪资
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 结果
     */
    int updateQgzxMoneyExtra(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 删除勤工助学额外薪资
     *
     * @param id 勤工助学额外薪资主键
     * @return 结果
     */
    int deleteQgzxMoneyExtraById(Long id);

    /**
     * 批量删除勤工助学额外薪资
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxMoneyExtraByIds(Long[] ids);
}
